#BLUE F103VE vcc-gnd.com

Below are the pins usable for the peripherals. Pins in **bold** are the default.

## SPI

Instance |MOSI|MISO|SCK|
-|-|-|-|
SPI1|PA7, **PB5**|PA6, **PB4**|PA5, **PB3**|
SPI2|**PB15**|**PB14**|**PB13**|
SPI3|**PB5**|**PB4**|**PB3**|

## I2C

Instance |SDA|SCL|
-|-|-|
I2C1|**PB7**, PB9|**PB6**, PB8|
I2C2|**PB11**|**PB10**|

## USART

Instance |RX|TX|
-|-|-|
UART4|**PC11**|**PC10**|
UART5|**PD2**|**PC12**|
USART1|**PA10**, PB7|**PA9**, PB6|
USART2|**PA3**, PD6|**PA2**, PD5|
USART3|**PB11**, PC11, PD9|**PB10**, PC10, PD8|

## I2S

Instance |CK|SD|WS|MCK|
-|-|-|-|-|
I2S2|**PB13**|**PB15**|**PB12**|**PC6**|
I2S3|**PB3**|**PB5**|**PA15**|**PC7**|

## TIM

Instance |CH1|CH2|CH3|CH4|
-|-|-|-|-|
TIM1|**PA8**, PE9, <span style="text-decoration: overline">PA7</span>, <span style="text-decoration: overline">PB13</span>, <span style="text-decoration: overline">PE8</span>|**PA9**, PE11, <span style="text-decoration: overline">PB0</span>, <span style="text-decoration: overline">PB14</span>, <span style="text-decoration: overline">PE10</span>|**PA10**, PE13, <span style="text-decoration: overline">PB1</span>, <span style="text-decoration: overline">PB15</span>, <span style="text-decoration: overline">PE12</span>|**PA11**, PE14|
TIM2|**PA0**, PA15|**PA1**, PB3|**PA2**, PB10|**PA3**, PB11|
TIM3|**PA6**, PB4, PC6|**PA7**, PB5, PC7|**PB0**, PC8|**PB1**, PC9|
TIM4|**PB6**, PD12|**PB7**, PD13|**PB8**, PD14|**PB9**, PD15|
TIM5|**PA0**|**PA1**|**PA2**|**PA3**|
TIM8|**PC6**, <span style="text-decoration: overline">PA7</span>|**PC7**, <span style="text-decoration: overline">PB0</span>|**PC8**, <span style="text-decoration: overline">PB1</span>|**PC9**|

## ADC 

Instance | Channel | Pin
-|-|-
ADC1|IN0|PA0|
ADC1|IN1|PA1|
ADC1|IN2|PA2|
ADC1|IN3|PA3|
ADC1|IN4|PA4|
ADC1|IN5|PA5|
ADC1|IN6|PA6|
ADC1|IN7|PA7|
ADC1|IN8|PB0|
ADC1|IN9|PB1|
ADC1|IN10|PC0|
ADC1|IN11|PC1|
ADC1|IN12|PC2|
ADC1|IN13|PC3|
ADC1|IN14|PC4|
ADC1|IN15|PC5|
ADC2|IN0|PA0|
ADC2|IN1|PA1|
ADC2|IN2|PA2|
ADC2|IN3|PA3|
ADC2|IN4|PA4|
ADC2|IN5|PA5|
ADC2|IN6|PA6|
ADC2|IN7|PA7|
ADC2|IN8|PB0|
ADC2|IN9|PB1|
ADC2|IN10|PC0|
ADC2|IN11|PC1|
ADC2|IN12|PC2|
ADC2|IN13|PC3|
ADC2|IN14|PC4|
ADC2|IN15|PC5|
ADC3|IN0|PA0|
ADC3|IN1|PA1|
ADC3|IN2|PA2|
ADC3|IN3|PA3|
ADC3|IN10|PC0|
ADC3|IN11|PC1|
ADC3|IN12|PC2|
ADC3|IN13|PC3|

## GPIO 

Pin | Peripheral signal available on the pin | Board macro
-|-|-
PA0 |ADC1_IN0, ADC2_IN0, ADC3_IN0, SYS_WKUP, TIM2_CH1, TIM2_ETR, TIM5_CH1, TIM8_ETR, USART2_CTS||
PA1 |ADC1_IN1, ADC2_IN1, ADC3_IN1, TIM2_CH2, TIM5_CH2, USART2_RTS||
PA2 |ADC1_IN2, ADC2_IN2, ADC3_IN2, TIM2_CH3, TIM5_CH3, USART2_TX||
PA3 |ADC1_IN3, ADC2_IN3, ADC3_IN3, TIM2_CH4, TIM5_CH4, USART2_RX||
PA4 |ADC1_IN4, ADC2_IN4, DAC_OUT1, SPI1_NSS, USART2_CK|**SS**|
PA5 |ADC1_IN5, ADC2_IN5, DAC_OUT2, SPI1_SCK||
PA6 |ADC1_IN6, ADC2_IN6, SPI1_MISO, TIM1_BKIN, TIM3_CH1, TIM8_BKIN||
PA7 |ADC1_IN7, ADC2_IN7, SPI1_MOSI, TIM1_CH1N, TIM3_CH2, TIM8_CH1N||
PA8 |RCC_MCO, TIM1_CH1, USART1_CK||
PA9 |TIM1_CH2, USART1_TX||
PA10 |TIM1_CH3, USART1_RX||
PA11 |CAN_RX, TIM1_CH4, USART1_CTS, USB_DM||
PA12 |CAN_TX, TIM1_ETR, USART1_RTS, USB_DP||
PA13 |SYS_JTMS-SWDIO||
PA14 |SYS_JTCK-SWCLK||
PA15 |I2S3_WS, SPI1_NSS, SPI3_NSS, SYS_JTDI, TIM2_CH1, TIM2_ETR||
PB0 |ADC1_IN8, ADC2_IN8, TIM1_CH2N, TIM3_CH3, TIM8_CH2N||
PB1 |ADC1_IN9, ADC2_IN9, TIM1_CH3N, TIM3_CH4, TIM8_CH3N||
PB2 |||
PB3 |I2S3_CK, SPI1_SCK, SPI3_SCK, SYS_JTDO-TRACESWO, TIM2_CH2|**SCK**|
PB4 |SPI1_MISO, SPI3_MISO, SYS_NJTRST, TIM3_CH1|**MISO**|
PB5 |I2C1_SMBA, I2S3_SD, SPI1_MOSI, SPI3_MOSI, TIM3_CH2|**MOSI**|
PB6 |I2C1_SCL, TIM4_CH1, USART1_TX|**SCL**|
PB7 |FSMC_NL, I2C1_SDA, TIM4_CH2, USART1_RX|**SDA**|
PB8 |CAN_RX, I2C1_SCL, SDIO_D4, TIM4_CH3||
PB9 |CAN_TX, I2C1_SDA, SDIO_D5, TIM4_CH4||
PB10 |I2C2_SCL, TIM2_CH3, USART3_TX||
PB11 |I2C2_SDA, TIM2_CH4, USART3_RX||
PB12 |I2C2_SMBA, I2S2_WS, SPI2_NSS, TIM1_BKIN, USART3_CK||
PB13 |I2S2_CK, SPI2_SCK, TIM1_CH1N, USART3_CTS||
PB14 |SPI2_MISO, TIM1_CH2N, USART3_RTS||
PB15 |I2S2_SD, SPI2_MOSI, TIM1_CH3N||
PC0 |ADC1_IN10, ADC2_IN10, ADC3_IN10||
PC1 |ADC1_IN11, ADC2_IN11, ADC3_IN11||
PC2 |ADC1_IN12, ADC2_IN12, ADC3_IN12||
PC3 |ADC1_IN13, ADC2_IN13, ADC3_IN13||
PC4 |ADC1_IN14, ADC2_IN14||
PC5 |ADC1_IN15, ADC2_IN15||
PC6 |I2S2_MCK, SDIO_D6, TIM3_CH1, TIM8_CH1||
PC7 |I2S3_MCK, SDIO_D7, TIM3_CH2, TIM8_CH2||
PC8 |SDIO_D0, TIM3_CH3, TIM8_CH3||
PC9 |SDIO_D1, TIM3_CH4, TIM8_CH4||
PC10 |SDIO_D2, UART4_TX, USART3_TX||
PC11 |SDIO_D3, UART4_RX, USART3_RX||
PC12 |SDIO_CK, UART5_TX, USART3_CK||
PC13 |RTC_OUT, RTC_TAMPER|**LED0_BUILTIN**, **LED_BUILTIN**|
PC14 |RCC_OSC32_IN||
PC15 |ADC1_EXTI15, ADC2_EXTI15, RCC_OSC32_OUT||
PD0 |CAN_RX, FSMC_D2, FSMC_DA2||
PD1 |CAN_TX, FSMC_D3, FSMC_DA3||
PD2 |SDIO_CMD, TIM3_ETR, UART5_RX||
PD3 |FSMC_CLK, USART2_CTS||
PD4 |FSMC_NOE, USART2_RTS||
PD5 |FSMC_NWE, USART2_TX||
PD6 |FSMC_NWAIT, USART2_RX||
PD7 |FSMC_NCE2, FSMC_NE1, USART2_CK||
PD8 |FSMC_D13, FSMC_DA13, USART3_TX||
PD9 |FSMC_D14, FSMC_DA14, USART3_RX||
PD10 |FSMC_D15, FSMC_DA15, USART3_CK||
PD11 |FSMC_A16, FSMC_CLE, USART3_CTS||
PD12 |FSMC_A17, FSMC_ALE, TIM4_CH1, USART3_RTS||
PD13 |FSMC_A18, TIM4_CH2||
PD14 |FSMC_D0, FSMC_DA0, TIM4_CH3||
PD15 |FSMC_D1, FSMC_DA1, TIM4_CH4||
PE0 |FSMC_NBL0, TIM4_ETR||
PE1 |FSMC_NBL1||
PE2 |FSMC_A23, SYS_TRACECLK||
PE3 |FSMC_A19, SYS_TRACED0||
PE4 |FSMC_A20, SYS_TRACED1||
PE5 |FSMC_A21, SYS_TRACED2||
PE6 |FSMC_A22, SYS_TRACED3||
PE7 |FSMC_D4, FSMC_DA4, TIM1_ETR||
PE8 |FSMC_D5, FSMC_DA5, TIM1_CH1N||
PE9 |DAC_EXTI9, FSMC_D6, FSMC_DA6, TIM1_CH1||
PE10 |FSMC_D7, FSMC_DA7, TIM1_CH2N||
PE11 |ADC1_EXTI11, ADC2_EXTI11, FSMC_D8, FSMC_DA8, TIM1_CH2||
PE12 |FSMC_D9, FSMC_DA9, TIM1_CH3N||
PE13 |FSMC_D10, FSMC_DA10, TIM1_CH3||
PE14 |FSMC_D11, FSMC_DA11, TIM1_CH4||
PE15 |FSMC_D12, FSMC_DA12, TIM1_BKIN||
