#BluePill F103CB

Below are the pins usable for the peripherals. Pins in **bold** are the default.

## SPI

Instance |MOSI|MISO|SCK|
-|-|-|-|
SPI1|**PA7**, PB5|**PA6**, PB4|**PA5**, PB3|
SPI2|**PB15**|**PB14**|**PB13**|

## I2C

Instance |SDA|SCL|
-|-|-|
I2C1|**PB7**, PB9|**PB6**, PB8|
I2C2|**PB11**|**PB10**|

## USART

Instance |RX|TX|
-|-|-|
USART1|**PA10**, PB7|**PA9**, PB6|
USART2|**PA3**|**PA2**|
USART3|**PB11**|**PB10**|

## TIM

Instance |CH1|CH2|CH3|CH4|
-|-|-|-|-|
TIM1|**PA8**, <span style="text-decoration: overline">PA7</span>, <span style="text-decoration: overline">PB13</span>|**PA9**, <span style="text-decoration: overline">PB0</span>, <span style="text-decoration: overline">PB14</span>|**PA10**, <span style="text-decoration: overline">PB1</span>, <span style="text-decoration: overline">PB15</span>|**PA11**|
TIM2|**PA0**, PA15|**PA1**, PB3|**PA2**, PB10|**PA3**, PB11|
TIM3|**PA6**, PB4|**PA7**, PB5|**PB0**|**PB1**|
TIM4|**PB6**|**PB7**|**PB8**|**PB9**|

## ADC 

Instance | Channel | Pin
-|-|-
ADC1|IN0|PA0|
ADC1|IN1|PA1|
ADC1|IN2|PA2|
ADC1|IN3|PA3|
ADC1|IN4|PA4|
ADC1|IN5|PA5|
ADC1|IN6|PA6|
ADC1|IN7|PA7|
ADC1|IN8|PB0|
ADC1|IN9|PB1|
ADC2|IN0|PA0|
ADC2|IN1|PA1|
ADC2|IN2|PA2|
ADC2|IN3|PA3|
ADC2|IN4|PA4|
ADC2|IN5|PA5|
ADC2|IN6|PA6|
ADC2|IN7|PA7|
ADC2|IN8|PB0|
ADC2|IN9|PB1|

## GPIO 

Pin | Peripheral signal available on the pin | Board macro
-|-|-
PA0 |ADC1_IN0, ADC2_IN0, SYS_WKUP, TIM2_CH1, TIM2_ETR, USART2_CTS||
PA1 |ADC1_IN1, ADC2_IN1, TIM2_CH2, USART2_RTS||
PA2 |ADC1_IN2, ADC2_IN2, TIM2_CH3, USART2_TX||
PA3 |ADC1_IN3, ADC2_IN3, TIM2_CH4, USART2_RX||
PA4 |ADC1_IN4, ADC2_IN4, SPI1_NSS, USART2_CK|**SS**|
PA5 |ADC1_IN5, ADC2_IN5, SPI1_SCK|**SCK**|
PA6 |ADC1_IN6, ADC2_IN6, SPI1_MISO, TIM1_BKIN, TIM3_CH1|**MISO**|
PA7 |ADC1_IN7, ADC2_IN7, SPI1_MOSI, TIM1_CH1N, TIM3_CH2|**MOSI**|
PA8 |RCC_MCO, TIM1_CH1, USART1_CK||
PA9 |TIM1_CH2, USART1_TX||
PA10 |TIM1_CH3, USART1_RX||
PA11 |CAN_RX, TIM1_CH4, USART1_CTS, USB_DM||
PA12 |CAN_TX, TIM1_ETR, USART1_RTS, USB_DP||
PA13 |SYS_JTMS-SWDIO||
PA14 |SYS_JTCK-SWCLK||
PA15 |SPI1_NSS, SYS_JTDI, TIM2_CH1, TIM2_ETR||
PB0 |ADC1_IN8, ADC2_IN8, TIM1_CH2N, TIM3_CH3||
PB1 |ADC1_IN9, ADC2_IN9, TIM1_CH3N, TIM3_CH4||
PB2 |||
PB3 |SPI1_SCK, SYS_JTDO-TRACESWO, TIM2_CH2||
PB4 |SPI1_MISO, SYS_NJTRST, TIM3_CH1||
PB5 |I2C1_SMBA, SPI1_MOSI, TIM3_CH2||
PB6 |I2C1_SCL, TIM4_CH1, USART1_TX|**SCL**|
PB7 |I2C1_SDA, TIM4_CH2, USART1_RX|**SDA**|
PB8 |CAN_RX, I2C1_SCL, TIM4_CH3||
PB9 |CAN_TX, I2C1_SDA, TIM4_CH4||
PB10 |I2C2_SCL, TIM2_CH3, USART3_TX||
PB11 |ADC1_EXTI11, ADC2_EXTI11, I2C2_SDA, TIM2_CH4, USART3_RX||
PB12 |I2C2_SMBA, SPI2_NSS, TIM1_BKIN, USART3_CK||
PB13 |SPI2_SCK, TIM1_CH1N, USART3_CTS||
PB14 |SPI2_MISO, TIM1_CH2N, USART3_RTS||
PB15 |SPI2_MOSI, TIM1_CH3N||
PC13 |RTC_OUT, RTC_TAMPER|**LED_BUILTIN**|
PC14 |RCC_OSC32_IN||
PC15 |ADC1_EXTI15, ADC2_EXTI15, RCC_OSC32_OUT||
PD0 |RCC_OSC_IN||
PD1 |RCC_OSC_OUT||
