#Discovery F303VC

Below are the pins usable for the peripherals. Pins in **bold** are the default.

## SPI

Instance |MOSI|MISO|SCK|
-|-|-|-|
SPI1|**PA7**, PB5|**PA6**, PB4|**PA5**, PB3|
SPI2|**PB15**|**PB14**|**PB13**, PF9, PF10|
SPI3|**PB5**, PC12|**PB4**, PC11|**PB3**, PC10|

## I2C

Instance |SDA|SCL|
-|-|-|
I2C1|PA14, PB7, **PB9**|PA15, **PB6**, PB8|
I2C2|**PA10**, PF0|**PA9**, PF1, PF6|

## USART

Instance |RX|TX|
-|-|-|
UART4|**PC11**|**PC10**|
UART5|**PD2**|**PC12**|
USART1|**PA10**, PB7, PC5, PE1|**PA9**, PB6, PC4, PE0|
USART2|**PA3**, PA15, PB4, PD6|**PA2**, PA14, PB3, PD5|
USART3|**PB11**, PC11, PD9, PE15|**PB10**, PC10, PD8|

## I2S

Instance |CK|SD|WS|MCK|
-|-|-|-|-|
I2S2|**PB13**|**PB15**|**PB12**|**PA8**, PC6|
I2S3|**PB3**, PC10|**PB5**, PC12|**PA4**, PA15|**PA9**, PC7|

## TIM

Instance |CH1|CH2|CH3|CH4|
-|-|-|-|-|
TIM1|**PA8**, PE9, <span style="text-decoration: overline">PA7</span>, <span style="text-decoration: overline">PA11</span>, <span style="text-decoration: overline">PB13</span>, <span style="text-decoration: overline">PC13</span>, <span style="text-decoration: overline">PE8</span>|**PA9**, PE11, <span style="text-decoration: overline">PA12</span>, <span style="text-decoration: overline">PB0</span>, <span style="text-decoration: overline">PB14</span>, <span style="text-decoration: overline">PE10</span>|**PA10**, PE13, <span style="text-decoration: overline">PB1</span>, <span style="text-decoration: overline">PB15</span>, <span style="text-decoration: overline">PE12</span>, <span style="text-decoration: overline">PF0</span>|**PA11**, PE14|
TIM2|**PA0**, PA5, PA15, PD3|**PA1**, PB3, PD4|**PA2**, PA9, PB10, PD7|**PA3**, PA10, PB11, PD6|
TIM3|**PA6**, PB4, PC6, PE2|**PA4**, PA7, PB5, PC7, PE3|**PB0**, PC8, PE4|**PB1**, PB7, PC9, PE5|
TIM4|**PA11**, PB6, PD12|**PA12**, PB7, PD13|**PA13**, PB8, PD14|**PB9**, PD15, PF6|
TIM8|**PA15**, PB6, PC6, <span style="text-decoration: overline">PA7</span>, <span style="text-decoration: overline">PB3</span>, <span style="text-decoration: overline">PC10</span>|**PA14**, PB8, PC7, <span style="text-decoration: overline">PB0</span>, <span style="text-decoration: overline">PB4</span>, <span style="text-decoration: overline">PC11</span>|**PB9**, PC8, <span style="text-decoration: overline">PB1</span>, <span style="text-decoration: overline">PB5</span>, <span style="text-decoration: overline">PC12</span>|**PC9**, PD1|
TIM15|**PA2**, PB14, PF9, <span style="text-decoration: overline">PA1</span>, <span style="text-decoration: overline">PB15</span>|**PA3**, PB15, PF10|||
TIM16|**PA6**, PA12, PB4, PB8, PE0, <span style="text-decoration: overline">PA13</span>, <span style="text-decoration: overline">PB6</span>||||
TIM17|**PA7**, PB5, PB9, PE1, <span style="text-decoration: overline">PB7</span>||||

## ADC 

Instance | Channel | Pin
-|-|-
ADC1|IN1|PA0|
ADC1|IN2|PA1|
ADC1|IN3|PA2|
ADC1|IN4|PA3|
ADC1|IN5|PF4|
ADC1|IN6|PC0|
ADC1|IN7|PC1|
ADC1|IN8|PC2|
ADC1|IN9|PC3|
ADC1|IN10|PF2|
ADC2|IN1|PA4|
ADC2|IN2|PA5|
ADC2|IN3|PA6|
ADC2|IN4|PA7|
ADC2|IN5|PC4|
ADC2|IN6|PC0|
ADC2|IN7|PC1|
ADC2|IN8|PC2|
ADC2|IN9|PC3|
ADC2|IN10|PF2|
ADC2|IN11|PC5|
ADC2|IN12|PB2|
ADC3|IN1|PB1|
ADC3|IN2|PE9|
ADC3|IN3|PE13|
ADC3|IN5|PB13|
ADC3|IN6|PE8|
ADC3|IN7|PD10|
ADC3|IN8|PD11|
ADC3|IN9|PD12|
ADC3|IN10|PD13|
ADC3|IN11|PD14|
ADC3|IN12|PB0|
ADC3|IN13|PE7|
ADC3|IN14|PE10|
ADC3|IN15|PE11|
ADC3|IN16|PE12|
ADC4|IN1|PE14|
ADC4|IN2|PE15|
ADC4|IN3|PB12|
ADC4|IN4|PB14|
ADC4|IN5|PB15|
ADC4|IN6|PE8|
ADC4|IN7|PD10|
ADC4|IN8|PD11|
ADC4|IN9|PD12|
ADC4|IN10|PD13|
ADC4|IN11|PD14|
ADC4|IN12|PD8|
ADC4|IN13|PD9|

## GPIO 

Pin | Peripheral signal available on the pin | Board macro
-|-|-
PA0 |ADC1_IN1, COMP1_INM, COMP1_OUT, RTC_TAMP2, SYS_WKUP1, TIM2_CH1, TIM2_ETR, TIM8_BKIN, TIM8_ETR, TSC_G1_IO1, USART2_CTS|**KEY0_BUILTIN**, **USER_BTN**|
PA1 |ADC1_IN2, COMP1_INP, OPAMP1_VINP, OPAMP1_VINP_SEC, OPAMP3_VINP, OPAMP3_VINP_SEC, RTC_REFIN, TIM2_CH2, TIM15_CH1N, TSC_G1_IO2, USART2_DE, USART2_RTS||
PA2 |ADC1_IN3, COMP2_INM, COMP2_OUT, OPAMP1_VOUT, TIM2_CH3, TIM15_CH1, TSC_G1_IO3, USART2_TX||
PA3 |ADC1_IN4, COMP2_INP, OPAMP1_VINM, OPAMP1_VINM_SEC, TIM2_CH4, TIM15_CH2, TSC_G1_IO4, USART2_RX||
PA4 |ADC2_IN1, COMP3_INM, COMP4_INM, COMP5_INM, COMP6_INM, DAC_OUT1, I2S3_WS, OPAMP4_VINP, OPAMP4_VINP_SEC, SPI1_NSS, SPI3_NSS, TIM3_CH2, TSC_G2_IO1, USART2_CK|**SS**|
PA5 |ADC2_IN2, DAC_OUT2, OPAMP2_VINM, OPAMP2_VINM_SEC, SPI1_SCK, TIM2_CH1, TIM2_ETR, TSC_G2_IO2|**SCK**|
PA6 |ADC2_IN3, COMP1_OUT, OPAMP2_VOUT, SPI1_MISO, TIM1_BKIN, TIM3_CH1, TIM8_BKIN, TIM16_CH1, TSC_G2_IO3|**MISO**|
PA7 |ADC2_IN4, COMP2_OUT, OPAMP2_VINP, OPAMP2_VINP_SEC, SPI1_MOSI, TIM1_CH1N, TIM3_CH2, TIM8_CH1N, TIM17_CH1, TSC_G2_IO4|**MOSI**|
PA8 |COMP3_OUT, I2C2_SMBA, I2S2_MCK, RCC_MCO, TIM1_CH1, TIM4_ETR, USART1_CK||
PA9 |COMP5_OUT, I2C2_SCL, I2S3_MCK, TIM1_CH2, TIM2_CH3, TIM15_BKIN, TSC_G4_IO1, USART1_TX||
PA10 |COMP6_OUT, I2C2_SDA, TIM1_CH3, TIM2_CH4, TIM8_BKIN, TIM17_BKIN, TSC_G4_IO2, USART1_RX||
PA11 |CAN_RX, COMP1_OUT, TIM1_BKIN2, TIM1_CH1N, TIM1_CH4, TIM4_CH1, USART1_CTS, USB_DM||
PA12 |CAN_TX, COMP2_OUT, TIM1_CH2N, TIM1_ETR, TIM4_CH2, TIM16_CH1, USART1_DE, USART1_RTS, USB_DP||
PA13 |IR_OUT, SYS_JTMS-SWDIO, TIM4_CH3, TIM16_CH1N, TSC_G4_IO3, USART3_CTS||
PA14 |I2C1_SDA, SYS_JTCK-SWCLK, TIM1_BKIN, TIM8_CH2, TSC_G4_IO4, USART2_TX||
PA15 |I2C1_SCL, I2S3_WS, SPI1_NSS, SPI3_NSS, SYS_JTDI, TIM1_BKIN, TIM2_CH1, TIM2_ETR, TIM8_CH1, USART2_RX||
PB0 |ADC3_IN12, COMP4_INP, TIM1_CH2N, TIM3_CH3, TIM8_CH2N, TSC_G3_IO2||
PB1 |ADC3_IN1, COMP4_OUT, OPAMP3_VOUT, TIM1_CH3N, TIM3_CH4, TIM8_CH3N, TSC_G3_IO3||
PB2 |ADC2_IN12, OPAMP3_VINM, OPAMP3_VINM_SEC, TSC_G3_IO4||
PB3 |I2S3_CK, SPI1_SCK, SPI3_SCK, SYS_JTDO-TRACESWO, TIM2_CH2, TIM3_ETR, TIM4_ETR, TIM8_CH1N, TSC_G5_IO1, USART2_TX||
PB4 |I2S3_ext_SD, SPI1_MISO, SPI3_MISO, SYS_NJTRST, TIM3_CH1, TIM8_CH2N, TIM16_CH1, TIM17_BKIN, TSC_G5_IO2, USART2_RX||
PB5 |I2C1_SMBA, I2S3_SD, SPI1_MOSI, SPI3_MOSI, TIM3_CH2, TIM8_CH3N, TIM16_BKIN, TIM17_CH1, USART2_CK||
PB6 |I2C1_SCL, TIM4_CH1, TIM8_BKIN2, TIM8_CH1, TIM8_ETR, TIM16_CH1N, TSC_G5_IO3, USART1_TX|**SCL**|
PB7 |I2C1_SDA, TIM3_CH4, TIM4_CH2, TIM8_BKIN, TIM17_CH1N, TSC_G5_IO4, USART1_RX||
PB8 |CAN_RX, COMP1_OUT, I2C1_SCL, TIM1_BKIN, TIM4_CH3, TIM8_CH2, TIM16_CH1, TSC_SYNC||
PB9 |CAN_TX, COMP2_OUT, I2C1_SDA, IR_OUT, TIM4_CH4, TIM8_CH3, TIM17_CH1|**SDA**|
PB10 |OPAMP4_VINM, OPAMP4_VINM_SEC, TIM2_CH3, TSC_SYNC, USART3_TX||
PB11 |COMP6_INP, TIM2_CH4, TSC_G6_IO1, USART3_RX||
PB12 |ADC4_IN3, I2C2_SMBA, I2S2_WS, OPAMP4_VOUT, SPI2_NSS, TIM1_BKIN, TSC_G6_IO2, USART3_CK||
PB13 |ADC3_IN5, COMP5_INP, I2S2_CK, SPI2_SCK, TIM1_CH1N, TSC_G6_IO3, USART3_CTS||
PB14 |ADC4_IN4, COMP3_INP, I2S2_ext_SD, SPI2_MISO, TIM1_CH2N, TIM15_CH1, TSC_G6_IO4, USART3_DE, USART3_RTS||
PB15 |ADC4_IN5, I2S2_SD, RTC_REFIN, SPI2_MOSI, TIM1_CH3N, TIM15_CH1N, TIM15_CH2||
PC0 |ADC1_IN6, ADC2_IN6, COMP7_INM||
PC1 |ADC1_IN7, ADC2_IN7, COMP7_INP||
PC2 |ADC1_IN8, ADC2_IN8, COMP7_OUT||
PC3 |ADC1_IN9, ADC2_IN9, TIM1_BKIN2||
PC4 |ADC2_IN5, USART1_TX||
PC5 |ADC2_IN11, TSC_G3_IO1, USART1_RX||
PC6 |COMP6_OUT, I2S2_MCK, TIM3_CH1, TIM8_CH1||
PC7 |COMP5_OUT, I2S3_MCK, TIM3_CH2, TIM8_CH2||
PC8 |COMP3_OUT, TIM3_CH3, TIM8_CH3||
PC9 |I2S_CKIN, TIM3_CH4, TIM8_BKIN2, TIM8_CH4||
PC10 |I2S3_CK, SPI3_SCK, TIM8_CH1N, UART4_TX, USART3_TX||
PC11 |I2S3_ext_SD, SPI3_MISO, TIM8_CH2N, UART4_RX, USART3_RX||
PC12 |I2S3_SD, SPI3_MOSI, TIM8_CH3N, UART5_TX, USART3_CK||
PC13 |RTC_OUT_ALARM, RTC_OUT_CALIB, RTC_TAMP1, RTC_TS, SYS_WKUP2, TIM1_CH1N||
PC14 |RCC_OSC32_IN||
PC15 |ADC1_EXTI15, ADC2_EXTI15, RCC_OSC32_OUT||
PD0 |CAN_RX||
PD1 |CAN_TX, TIM8_BKIN2, TIM8_CH4||
PD2 |TIM3_ETR, TIM8_BKIN, UART5_RX||
PD3 |TIM2_CH1, TIM2_ETR, USART2_CTS||
PD4 |TIM2_CH2, USART2_DE, USART2_RTS||
PD5 |USART2_TX||
PD6 |TIM2_CH4, USART2_RX||
PD7 |TIM2_CH3, USART2_CK||
PD8 |ADC4_IN12, USART3_TX||
PD9 |ADC4_IN13, USART3_RX||
PD10 |ADC3_IN7, ADC4_IN7, USART3_CK||
PD11 |ADC3_IN8, ADC4_IN8, USART3_CTS||
PD12 |ADC3_IN9, ADC4_IN9, TIM4_CH1, TSC_G8_IO1, USART3_DE, USART3_RTS||
PD13 |ADC3_IN10, ADC4_IN10, TIM4_CH2, TSC_G8_IO2||
PD14 |ADC3_IN11, ADC4_IN11, TIM4_CH3, TSC_G8_IO3||
PD15 |SPI2_NSS, TIM4_CH4, TSC_G8_IO4||
PE0 |TIM4_ETR, TIM16_CH1, USART1_TX||
PE1 |TIM17_CH1, USART1_RX||
PE2 |ADC3_EXTI2, ADC4_EXTI2, SYS_TRACECK, TIM3_CH1, TSC_G7_IO1||
PE3 |SYS_TRACED0, TIM3_CH2, TSC_G7_IO2||
PE4 |SYS_TRACED1, TIM3_CH3, TSC_G7_IO3||
PE5 |SYS_TRACED2, TIM3_CH4, TSC_G7_IO4||
PE6 |RTC_TAMP3, SYS_TRACED3, SYS_WKUP3||
PE7 |ADC3_IN13, TIM1_ETR||
PE8 |ADC3_IN6, ADC4_IN6, TIM1_CH1N|**LED_BUILTIN**|
PE9 |ADC3_IN2, TIM1_CH1|**LED_BUILTIN1**|
PE10 |ADC3_IN14, TIM1_CH2N|**LED_BUILTIN2**|
PE11 |ADC1_EXTI11, ADC2_EXTI11, ADC3_IN15, TIM1_CH2|**LED_BUILTIN3**|
PE12 |ADC3_IN16, TIM1_CH3N|**LED_BUILTIN4**|
PE13 |ADC3_IN3, TIM1_CH3|**LED_BUILTIN5**|
PE14 |ADC4_IN1, TIM1_BKIN2, TIM1_CH4|**LED_BUILTIN6**|
PE15 |ADC4_IN2, TIM1_BKIN, USART3_RX|**LED_BUILTIN7**|
PF0 |I2C2_SDA, RCC_OSC_IN, TIM1_CH3N||
PF1 |I2C2_SCL, RCC_OSC_OUT||
PF2 |ADC1_IN10, ADC2_IN10||
PF4 |ADC1_IN5, COMP1_OUT||
PF6 |I2C2_SCL, TIM4_CH4, USART3_DE, USART3_RTS||
PF9 |DAC_EXTI9, SPI2_SCK, TIM15_CH1||
PF10 |SPI2_SCK, TIM15_CH2||
