#Discovery F746NG

Below are the pins usable for the peripherals. Pins in **bold** are the default.

## SPI

Instance |MOSI|MISO|SCK|
-|-|-|-|
SPI1|28 (PA7), 39 (PB5)|27 (PA6), 3 (PB4)|26 (PA5), 38 (PB3)|
SPI2|**11 (PB15)**, 47 (PC1), 49 (PC3), 7 (PI3)|**12 (PB14)**, 48 (PC2), 8 (PI2)|**29 (PA9)**, 42 (PB10), 45 (PB13), 63 (PD3), 13 (PI1)|
SPI3|**37 (PB2)**, 39 (PB5), 56 (PC12), 66 (PD6)|**3 (PB4)**, 55 (PC11)|**38 (PB3)**, 54 (PC10)|
SPI4|**82 (PE6)**, 90 (PE14)|**81 (PE5)**, 89 (PE13)|**78 (PE2)**, 88 (PE12)|
SPI5|**18 (PF9)**, 98 (PF11)|**19 (PF8)**, 123 (PH7)|**20 (PF7)**, 6 (PH6)|
SPI6|**115 (PG14)**|**113 (PG12)**|**114 (PG13)**|

## I2C

Instance |SDA|SCL|
-|-|-|
I2C1|41 (PB7), **14 (PB9)**|40 (PB6), **15 (PB8)**|
I2C2|**43 (PB11)**, 92 (PF0), 122 (PH5)|**42 (PB10)**, 93 (PF1), 121 (PH4)|
I2C3|**53 (PC9)**, 124 (PH8)|**10 (PA8)**, 123 (PH7)|
I2C4|**73 (PD13)**, 102 (PF15), 128 (PH12)|**72 (PD12)**, 101 (PF14), 127 (PH11)|

## USART

Instance |RX|TX|
-|-|-|
UART4|**22 (PA1)**, 55 (PC11)|**16 (PA0)**, 54 (PC10)|
UART5|**62 (PD2)**|**56 (PC12)**|
UART7|**83 (PE7)**, 21 (PF6)|**84 (PE8)**, 20 (PF7)|
UART8|**76 (PE0)**|**77 (PE1)**|
USART1|**30 (PA10)**, 41 (PB7)|**29 (PA9)**, 40 (PB6)|
USART2|**24 (PA3)**, 66 (PD6)|**23 (PA2)**, 65 (PD5)|
USART3|**43 (PB11)**, 55 (PC11), 69 (PD9)|**42 (PB10)**, 54 (PC10), 68 (PD8)|
USART6|**0 (PC7)**, 110 (PG9)|**1 (PC6)**, 115 (PG14)|

## I2S

Instance |CK|SD|WS|MCK|
-|-|-|-|-|
I2S1|**26 (PA5)**, 38 (PB3)|**28 (PA7)**, 39 (PB5)|**25 (PA4)**, 9 (PA15)|**50 (PC4)**|
I2S2|**29 (PA9)**, 42 (PB10), 45 (PB13), 63 (PD3), 13 (PI1)|**11 (PB15)**, 47 (PC1), 49 (PC3), 7 (PI3)|**3 (PB4)**, 14 (PB9), 44 (PB12), 5 (PI0)|**1 (PC6)**|
I2S3|**38 (PB3)**, 54 (PC10)|**37 (PB2)**, 39 (PB5), 56 (PC12), 66 (PD6)|**25 (PA4)**, 9 (PA15)|**0 (PC7)**|

## TIM

Instance |CH1|CH2|CH3|CH4|
-|-|-|-|-|
TIM1|**10 (PA8)**, 85 (PE9), <span style="text-decoration: overline">28 (PA7)</span>, <span style="text-decoration: overline">45 (PB13)</span>, <span style="text-decoration: overline">84 (PE8)</span>|**29 (PA9)**, 87 (PE11), <span style="text-decoration: overline">35 (PB0)</span>, <span style="text-decoration: overline">12 (PB14)</span>, <span style="text-decoration: overline">86 (PE10)</span>|**30 (PA10)**, 89 (PE13), <span style="text-decoration: overline">36 (PB1)</span>, <span style="text-decoration: overline">11 (PB15)</span>, <span style="text-decoration: overline">88 (PE12)</span>|**31 (PA11)**, 90 (PE14)|
TIM2|**16 (PA0)**, 26 (PA5), 9 (PA15)|**22 (PA1)**, 38 (PB3)|**23 (PA2)**, 42 (PB10)|**24 (PA3)**, 43 (PB11)|
TIM3|**27 (PA6)**, 3 (PB4), 1 (PC6)|**28 (PA7)**, 39 (PB5), 0 (PC7)|**35 (PB0)**, 52 (PC8)|**36 (PB1)**, 53 (PC9)|
TIM4|**40 (PB6)**, 72 (PD12)|**41 (PB7)**, 73 (PD13)|**15 (PB8)**, 74 (PD14)|**14 (PB9)**, 75 (PD15)|
TIM5|**16 (PA0)**, 126 (PH10)|**22 (PA1)**, 127 (PH11)|**23 (PA2)**, 128 (PH12)|**24 (PA3)**, 5 (PI0)|
TIM8|**1 (PC6)**, 133 (PI5), <span style="text-decoration: overline">26 (PA5)</span>, <span style="text-decoration: overline">28 (PA7)</span>, <span style="text-decoration: overline">129 (PH13)</span>|**0 (PC7)**, 134 (PI6), <span style="text-decoration: overline">35 (PB0)</span>, <span style="text-decoration: overline">12 (PB14)</span>, <span style="text-decoration: overline">130 (PH14)</span>|**52 (PC8)**, 135 (PI7), <span style="text-decoration: overline">36 (PB1)</span>, <span style="text-decoration: overline">11 (PB15)</span>, <span style="text-decoration: overline">131 (PH15)</span>|**53 (PC9)**, 8 (PI2)|
TIM9|**23 (PA2)**, 81 (PE5)|**24 (PA3)**, 82 (PE6)|||
TIM10|**15 (PB8)**, 21 (PF6)||||
TIM11|**14 (PB9)**, 20 (PF7)||||
TIM12|**12 (PB14)**, 6 (PH6)|**11 (PB15)**, 125 (PH9)|||
TIM13|**27 (PA6)**, 19 (PF8)||||
TIM14|**28 (PA7)**, 18 (PF9)||||

## ADC 

Instance | Channel | Pin
-|-|-
ADC1|IN0|16 (PA0)|
ADC1|IN1|22 (PA1)|
ADC1|IN2|23 (PA2)|
ADC1|IN3|24 (PA3)|
ADC1|IN4|25 (PA4)|
ADC1|IN5|26 (PA5)|
ADC1|IN6|27 (PA6)|
ADC1|IN7|28 (PA7)|
ADC1|IN8|35 (PB0)|
ADC1|IN9|36 (PB1)|
ADC1|IN10|46 (PC0)|
ADC1|IN11|47 (PC1)|
ADC1|IN12|48 (PC2)|
ADC1|IN13|49 (PC3)|
ADC1|IN14|50 (PC4)|
ADC1|IN15|51 (PC5)|
ADC2|IN0|16 (PA0)|
ADC2|IN1|22 (PA1)|
ADC2|IN2|23 (PA2)|
ADC2|IN3|24 (PA3)|
ADC2|IN4|25 (PA4)|
ADC2|IN5|26 (PA5)|
ADC2|IN6|27 (PA6)|
ADC2|IN7|28 (PA7)|
ADC2|IN8|35 (PB0)|
ADC2|IN9|36 (PB1)|
ADC2|IN10|46 (PC0)|
ADC2|IN11|47 (PC1)|
ADC2|IN12|48 (PC2)|
ADC2|IN13|49 (PC3)|
ADC2|IN14|50 (PC4)|
ADC2|IN15|51 (PC5)|
ADC3|IN0|16 (PA0)|
ADC3|IN1|22 (PA1)|
ADC3|IN2|23 (PA2)|
ADC3|IN3|24 (PA3)|
ADC3|IN4|21 (PF6)|
ADC3|IN5|20 (PF7)|
ADC3|IN6|19 (PF8)|
ADC3|IN7|18 (PF9)|
ADC3|IN8|17 (PF10)|
ADC3|IN9|95 (PF3)|
ADC3|IN10|46 (PC0)|
ADC3|IN11|47 (PC1)|
ADC3|IN12|48 (PC2)|
ADC3|IN13|49 (PC3)|
ADC3|IN14|96 (PF4)|
ADC3|IN15|97 (PF5)|

## GPIO 

Pin | Peripheral signal available on the pin | Board macro
-|-|-
0 (PC7) |DCMI_D1, I2S3_MCK, LTDC_G6, SDMMC1_D7, TIM3_CH2, TIM8_CH2, USART6_RX||
1 (PC6) |DCMI_D0, I2S2_MCK, LTDC_HSYNC, SDMMC1_D6, TIM3_CH1, TIM8_CH1, USART6_TX||
2 (PG6) |DCMI_D12, LTDC_R7||
3 (PB4) |I2S2_WS, SPI1_MISO, SPI2_NSS, SPI3_MISO, SYS_JTRST, TIM3_CH1||
4 (PG7) |DCMI_D13, FMC_INT, LTDC_CLK, USART6_CK||
5 (PI0) |DCMI_D13, FMC_D24, I2S2_WS, LTDC_G5, SPI2_NSS, TIM5_CH4|**SS**|
6 (PH6) |DCMI_D8, ETH_RXD2, FMC_SDNE1, I2C2_SMBA, SPI5_SCK, TIM12_CH1||
7 (PI3) |DCMI_D10, FMC_D27, I2S2_SD, SPI2_MOSI, TIM8_ETR||
8 (PI2) |DCMI_D9, FMC_D26, LTDC_G7, SPI2_MISO, TIM8_CH4||
9 (PA15) |CEC, I2S1_WS, I2S3_WS, SPI1_NSS, SPI3_NSS, SYS_JTDI, TIM2_CH1, TIM2_ETR, UART4_DE, UART4_RTS||
10 (PA8) |I2C3_SCL, LTDC_R6, RCC_MCO_1, TIM1_CH1, TIM8_BKIN2, USART1_CK, USB_OTG_FS_SOF||
11 (PB15) |I2S2_SD, RTC_REFIN, SPI2_MOSI, TIM1_CH3N, TIM8_CH3N, TIM12_CH2, USB_OTG_HS_DP|**MOSI**|
12 (PB14) |SPI2_MISO, TIM1_CH2N, TIM8_CH2N, TIM12_CH1, USART3_DE, USART3_RTS, USB_OTG_HS_DM|**MISO**|
13 (PI1) |DCMI_D8, FMC_D25, I2S2_CK, LTDC_G6, SPI2_SCK, TIM8_BKIN2|**LED_BUILTIN**, **SCK**|
14 (PB9) |CAN1_TX, DAC_EXTI9, DCMI_D7, I2C1_SDA, I2S2_WS, LTDC_B7, SDMMC1_D5, SPI2_NSS, TIM4_CH4, TIM11_CH1|**SDA**|
15 (PB8) |CAN1_RX, DCMI_D6, ETH_TXD3, I2C1_SCL, LTDC_B6, SDMMC1_D4, TIM4_CH3, TIM10_CH1|**SCL**|
16 (PA0) |ADC1_IN0, ADC2_IN0, ADC3_IN0, ETH_CRS, SAI2_SD_B, SYS_WKUP1, TIM2_CH1, TIM2_ETR, TIM5_CH1, TIM8_ETR, UART4_TX, USART2_CTS|**A0**|
17 (PF10) |ADC3_IN8, DCMI_D11, LTDC_DE|**A1**|
18 (PF9) |ADC3_IN7, QUADSPI_BK1_IO1, SAI1_FS_B, SPI5_MOSI, TIM14_CH1, UART7_CTS|**A2**|
19 (PF8) |ADC3_IN6, QUADSPI_BK1_IO0, SAI1_SCK_B, SPI5_MISO, TIM13_CH1, UART7_DE, UART7_RTS|**A3**|
20 (PF7) |ADC3_IN5, QUADSPI_BK1_IO2, SAI1_MCLK_B, SPI5_SCK, TIM11_CH1, UART7_TX|**A4**|
21 (PF6) |ADC3_IN4, QUADSPI_BK1_IO3, SAI1_SD_B, SPI5_NSS, TIM10_CH1, UART7_RX|**A5**|
22 (PA1) |ADC1_IN1, ADC2_IN1, ADC3_IN1, ETH_REF_CLK, ETH_RX_CLK, LTDC_R2, QUADSPI_BK1_IO3, SAI2_MCLK_B, TIM2_CH2, TIM5_CH2, UART4_RX, USART2_DE, USART2_RTS||
23 (PA2) |ADC1_IN2, ADC2_IN2, ADC3_IN2, ETH_MDIO, LTDC_R1, SAI2_SCK_B, SYS_WKUP2, TIM2_CH3, TIM5_CH3, TIM9_CH1, USART2_TX||
24 (PA3) |ADC1_IN3, ADC2_IN3, ADC3_IN3, ETH_COL, LTDC_B5, TIM2_CH4, TIM5_CH4, TIM9_CH2, USART2_RX, USB_OTG_HS_ULPI_D0||
25 (PA4) |ADC1_IN4, ADC2_IN4, DAC_OUT1, DCMI_HSYNC, I2S1_WS, I2S3_WS, LTDC_VSYNC, SPI1_NSS, SPI3_NSS, USART2_CK, USB_OTG_HS_SOF||
26 (PA5) |ADC1_IN5, ADC2_IN5, DAC_OUT2, I2S1_CK, LTDC_R4, SPI1_SCK, TIM2_CH1, TIM2_ETR, TIM8_CH1N, USB_OTG_HS_ULPI_CK||
27 (PA6) |ADC1_IN6, ADC2_IN6, DCMI_PIXCLK, LTDC_G2, SPI1_MISO, TIM1_BKIN, TIM3_CH1, TIM8_BKIN, TIM13_CH1||
28 (PA7) |ADC1_IN7, ADC2_IN7, ETH_CRS_DV, ETH_RX_DV, FMC_SDNWE, I2S1_SD, SPI1_MOSI, TIM1_CH1N, TIM3_CH2, TIM8_CH1N, TIM14_CH1||
29 (PA9) |DCMI_D0, I2C3_SMBA, I2S2_CK, SPI2_SCK, TIM1_CH2, USART1_TX, USB_OTG_FS_VBUS||
30 (PA10) |DCMI_D1, TIM1_CH3, USART1_RX, USB_OTG_FS_ID||
31 (PA11) |CAN1_RX, LTDC_R4, TIM1_CH4, USART1_CTS, USB_OTG_FS_DM||
32 (PA12) |CAN1_TX, LTDC_R5, SAI2_FS_B, TIM1_ETR, USART1_DE, USART1_RTS, USB_OTG_FS_DP||
33 (PA13) |SYS_JTMS-SWDIO||
34 (PA14) |SYS_JTCK-SWCLK||
35 (PB0) |ADC1_IN8, ADC2_IN8, ETH_RXD2, LTDC_R3, TIM1_CH2N, TIM3_CH3, TIM8_CH2N, UART4_CTS, USB_OTG_HS_ULPI_D1||
36 (PB1) |ADC1_IN9, ADC2_IN9, ETH_RXD3, LTDC_R6, TIM1_CH3N, TIM3_CH4, TIM8_CH3N, USB_OTG_HS_ULPI_D2||
37 (PB2) |I2S3_SD, QUADSPI_CLK, SAI1_SD_A, SPI3_MOSI||
38 (PB3) |I2S1_CK, I2S3_CK, SPI1_SCK, SPI3_SCK, SYS_JTDO-SWO, TIM2_CH2||
39 (PB5) |CAN2_RX, DCMI_D10, ETH_PPS_OUT, FMC_SDCKE1, I2C1_SMBA, I2S1_SD, I2S3_SD, SPI1_MOSI, SPI3_MOSI, TIM3_CH2, USB_OTG_HS_ULPI_D7||
40 (PB6) |CAN2_TX, CEC, DCMI_D5, FMC_SDNE1, I2C1_SCL, QUADSPI_BK1_NCS, TIM4_CH1, USART1_TX||
41 (PB7) |DCMI_VSYNC, FMC_NL, I2C1_SDA, TIM4_CH2, USART1_RX||
42 (PB10) |ETH_RX_ER, I2C2_SCL, I2S2_CK, LTDC_G4, SPI2_SCK, TIM2_CH3, USART3_TX, USB_OTG_HS_ULPI_D3||
43 (PB11) |ETH_TX_EN, I2C2_SDA, LTDC_G5, TIM2_CH4, USART3_RX, USB_OTG_HS_ULPI_D4||
44 (PB12) |CAN2_RX, ETH_TXD0, I2C2_SMBA, I2S2_WS, SPI2_NSS, TIM1_BKIN, USART3_CK, USB_OTG_HS_ID, USB_OTG_HS_ULPI_D5||
45 (PB13) |CAN2_TX, ETH_TXD1, I2S2_CK, SPI2_SCK, TIM1_CH1N, USART3_CTS, USB_OTG_HS_ULPI_D6, USB_OTG_HS_VBUS||
46 (PC0) |ADC1_IN10, ADC2_IN10, ADC3_IN10, FMC_SDNWE, LTDC_R5, SAI2_FS_B, USB_OTG_HS_ULPI_STP||
47 (PC1) |ADC1_IN11, ADC2_IN11, ADC3_IN11, ETH_MDC, I2S2_SD, RTC_TAMP3, SAI1_SD_A, SPI2_MOSI, SYS_TRACED0, SYS_WKUP3||
48 (PC2) |ADC1_IN12, ADC2_IN12, ADC3_IN12, ETH_TXD2, FMC_SDNE0, SPI2_MISO, USB_OTG_HS_ULPI_DIR||
49 (PC3) |ADC1_IN13, ADC2_IN13, ADC3_IN13, ETH_TX_CLK, FMC_SDCKE0, I2S2_SD, SPI2_MOSI, USB_OTG_HS_ULPI_NXT||
50 (PC4) |ADC1_IN14, ADC2_IN14, ETH_RXD0, FMC_SDNE0, I2S1_MCK, SPDIFRX_IN2||
51 (PC5) |ADC1_IN15, ADC2_IN15, ETH_RXD1, FMC_SDCKE0, SPDIFRX_IN3||
52 (PC8) |DCMI_D2, SDMMC1_D0, SYS_TRACED1, TIM3_CH3, TIM8_CH3, UART5_DE, UART5_RTS, USART6_CK||
53 (PC9) |DCMI_D3, I2C3_SDA, I2S_CKIN, QUADSPI_BK1_IO0, RCC_MCO_2, SDMMC1_D1, TIM3_CH4, TIM8_CH4, UART5_CTS||
54 (PC10) |DCMI_D8, I2S3_CK, LTDC_R2, QUADSPI_BK1_IO1, SDMMC1_D2, SPI3_SCK, UART4_TX, USART3_TX||
55 (PC11) |DCMI_D4, QUADSPI_BK2_NCS, SDMMC1_D3, SPI3_MISO, UART4_RX, USART3_RX||
56 (PC12) |DCMI_D9, I2S3_SD, SDMMC1_CK, SPI3_MOSI, SYS_TRACED3, UART5_TX, USART3_CK||
57 (PC13) |RTC_OUT_ALARM, RTC_OUT_CALIB, RTC_TAMP1, SYS_WKUP4||
58 (PC14) |RCC_OSC32_IN||
59 (PC15) |RCC_OSC32_OUT||
60 (PD0) |CAN1_RX, FMC_D2, FMC_DA2||
61 (PD1) |CAN1_TX, FMC_D3, FMC_DA3||
62 (PD2) |DCMI_D11, SDMMC1_CMD, SYS_TRACED2, TIM3_ETR, UART5_RX||
63 (PD3) |DCMI_D5, FMC_CLK, I2S2_CK, LTDC_G7, SPI2_SCK, USART2_CTS||
64 (PD4) |FMC_NOE, USART2_DE, USART2_RTS||
65 (PD5) |FMC_NWE, USART2_TX||
66 (PD6) |DCMI_D10, FMC_NWAIT, I2S3_SD, LTDC_B2, SAI1_SD_A, SPI3_MOSI, USART2_RX||
67 (PD7) |FMC_NE1, SPDIFRX_IN0, USART2_CK||
68 (PD8) |FMC_D13, FMC_DA13, SPDIFRX_IN1, USART3_TX||
69 (PD9) |FMC_D14, FMC_DA14, USART3_RX||
70 (PD10) |FMC_D15, FMC_DA15, LTDC_B3, USART3_CK||
71 (PD11) |FMC_A16, FMC_CLE, I2C4_SMBA, QUADSPI_BK1_IO0, SAI2_SD_A, USART3_CTS||
72 (PD12) |FMC_A17, FMC_ALE, I2C4_SCL, LPTIM1_IN1, QUADSPI_BK1_IO1, SAI2_FS_A, TIM4_CH1, USART3_DE, USART3_RTS||
73 (PD13) |FMC_A18, I2C4_SDA, LPTIM1_OUT, QUADSPI_BK1_IO3, SAI2_SCK_A, TIM4_CH2||
74 (PD14) |FMC_D0, FMC_DA0, TIM4_CH3, UART8_CTS||
75 (PD15) |FMC_D1, FMC_DA1, TIM4_CH4, UART8_DE, UART8_RTS||
76 (PE0) |DCMI_D2, FMC_NBL0, LPTIM1_ETR, SAI2_MCLK_A, TIM4_ETR, UART8_RX||
77 (PE1) |DCMI_D3, FMC_NBL1, LPTIM1_IN2, UART8_TX||
78 (PE2) |ETH_TXD3, FMC_A23, QUADSPI_BK1_IO2, SAI1_MCLK_A, SPI4_SCK, SYS_TRACECLK||
79 (PE3) |FMC_A19, SAI1_SD_B, SYS_TRACED0||
80 (PE4) |DCMI_D4, FMC_A20, LTDC_B0, SAI1_FS_A, SPI4_NSS, SYS_TRACED1||
81 (PE5) |DCMI_D6, FMC_A21, LTDC_G0, SAI1_SCK_A, SPI4_MISO, SYS_TRACED2, TIM9_CH1||
82 (PE6) |DCMI_D7, FMC_A22, LTDC_G1, SAI1_SD_A, SAI2_MCLK_B, SPI4_MOSI, SYS_TRACED3, TIM1_BKIN2, TIM9_CH2||
83 (PE7) |FMC_D4, FMC_DA4, QUADSPI_BK2_IO0, TIM1_ETR, UART7_RX||
84 (PE8) |FMC_D5, FMC_DA5, QUADSPI_BK2_IO1, TIM1_CH1N, UART7_TX||
85 (PE9) |FMC_D6, FMC_DA6, QUADSPI_BK2_IO2, TIM1_CH1, UART7_DE, UART7_RTS||
86 (PE10) |FMC_D7, FMC_DA7, QUADSPI_BK2_IO3, TIM1_CH2N, UART7_CTS||
87 (PE11) |FMC_D8, FMC_DA8, LTDC_G3, SAI2_SD_B, SPI4_NSS, TIM1_CH2||
88 (PE12) |FMC_D9, FMC_DA9, LTDC_B4, SAI2_SCK_B, SPI4_SCK, TIM1_CH3N||
89 (PE13) |FMC_D10, FMC_DA10, LTDC_DE, SAI2_FS_B, SPI4_MISO, TIM1_CH3||
90 (PE14) |FMC_D11, FMC_DA11, LTDC_CLK, SAI2_MCLK_B, SPI4_MOSI, TIM1_CH4||
91 (PE15) |FMC_D12, FMC_DA12, LTDC_R7, TIM1_BKIN||
92 (PF0) |FMC_A0, I2C2_SDA||
93 (PF1) |FMC_A1, I2C2_SCL||
94 (PF2) |FMC_A2, I2C2_SMBA||
95 (PF3) |ADC3_IN9, FMC_A3||
96 (PF4) |ADC3_IN14, FMC_A4||
97 (PF5) |ADC3_IN15, FMC_A5||
98 (PF11) |DCMI_D12, FMC_SDNRAS, SAI2_SD_B, SPI5_MOSI||
99 (PF12) |FMC_A6||
100 (PF13) |FMC_A7, I2C4_SMBA||
101 (PF14) |FMC_A8, I2C4_SCL||
102 (PF15) |FMC_A9, I2C4_SDA||
103 (PG0) |FMC_A10||
104 (PG1) |FMC_A11||
105 (PG2) |FMC_A12||
106 (PG3) |FMC_A13||
107 (PG4) |FMC_A14, FMC_BA0||
108 (PG5) |FMC_A15, FMC_BA1||
109 (PG8) |ETH_PPS_OUT, FMC_SDCLK, SPDIFRX_IN2, SPI6_NSS, USART6_DE, USART6_RTS||
110 (PG9) |DCMI_VSYNC, FMC_NCE, FMC_NE2, QUADSPI_BK2_IO2, SAI2_FS_B, SPDIFRX_IN3, USART6_RX||
111 (PG10) |DCMI_D2, FMC_NE3, LTDC_B2, LTDC_G3, SAI2_SD_B||
112 (PG11) |ADC1_EXTI11, ADC2_EXTI11, ADC3_EXTI11, DCMI_D3, ETH_TX_EN, LTDC_B3, SPDIFRX_IN0||
113 (PG12) |FMC_NE4, LPTIM1_IN1, LTDC_B1, LTDC_B4, SPDIFRX_IN1, SPI6_MISO, USART6_DE, USART6_RTS||
114 (PG13) |ETH_TXD0, FMC_A24, LPTIM1_OUT, LTDC_R0, SPI6_SCK, SYS_TRACED0, USART6_CTS||
115 (PG14) |ETH_TXD1, FMC_A25, LPTIM1_ETR, LTDC_B0, QUADSPI_BK2_IO3, SPI6_MOSI, SYS_TRACED1, USART6_TX||
116 (PG15) |DCMI_D13, FMC_SDNCAS, USART6_CTS||
117 (PH0) |RCC_OSC_IN||
118 (PH1) |RCC_OSC_OUT||
119 (PH2) |ETH_CRS, FMC_SDCKE0, LPTIM1_IN2, LTDC_R0, QUADSPI_BK2_IO0, SAI2_SCK_B||
120 (PH3) |ETH_COL, FMC_SDNE0, LTDC_R1, QUADSPI_BK2_IO1, SAI2_MCLK_B||
121 (PH4) |I2C2_SCL, USB_OTG_HS_ULPI_NXT||
122 (PH5) |FMC_SDNWE, I2C2_SDA, SPI5_NSS||
123 (PH7) |DCMI_D9, ETH_RXD3, FMC_SDCKE1, I2C3_SCL, SPI5_MISO||
124 (PH8) |DCMI_HSYNC, FMC_D16, I2C3_SDA, LTDC_R2||
125 (PH9) |DCMI_D0, FMC_D17, I2C3_SMBA, LTDC_R3, TIM12_CH2||
126 (PH10) |DCMI_D1, FMC_D18, I2C4_SMBA, LTDC_R4, TIM5_CH1||
127 (PH11) |DCMI_D2, FMC_D19, I2C4_SCL, LTDC_R5, TIM5_CH2||
128 (PH12) |DCMI_D3, FMC_D20, I2C4_SDA, LTDC_R6, TIM5_CH3||
129 (PH13) |CAN1_TX, FMC_D21, LTDC_G2, TIM8_CH1N||
130 (PH14) |DCMI_D4, FMC_D22, LTDC_G3, TIM8_CH2N||
131 (PH15) |DCMI_D11, FMC_D23, LTDC_G4, TIM8_CH3N||
132 (PI4) |DCMI_D5, FMC_NBL2, LTDC_B4, SAI2_MCLK_A, TIM8_BKIN||
133 (PI5) |DCMI_VSYNC, FMC_NBL3, LTDC_B5, SAI2_SCK_A, TIM8_CH1||
134 (PI6) |DCMI_D6, FMC_D28, LTDC_B6, SAI2_SD_A, TIM8_CH2||
135 (PI7) |DCMI_D7, FMC_D29, LTDC_B7, SAI2_FS_A, TIM8_CH3||
136 (PI8) |RTC_TAMP2, RTC_TS, SYS_WKUP5||
137 (PI9) |CAN1_RX, FMC_D30, LTDC_VSYNC||
138 (PI10) |ETH_RX_ER, FMC_D31, LTDC_HSYNC||
139 (PI11) |SYS_WKUP6, USB_OTG_HS_ULPI_DIR||
140 (PI12) |LTDC_HSYNC||
141 (PI13) |LTDC_VSYNC||
142 (PI14) |LTDC_CLK||
143 (PI15) |LTDC_R0||
144 (PJ0) |LTDC_R1||
145 (PJ1) |LTDC_R2||
146 (PJ2) |LTDC_R3||
147 (PJ3) |LTDC_R4||
148 (PJ4) |LTDC_R5||
149 (PJ5) |LTDC_R6||
150 (PJ6) |LTDC_R7||
151 (PJ7) |LTDC_G0||
152 (PJ8) |LTDC_G1||
153 (PJ9) |LTDC_G2||
154 (PJ10) |LTDC_G3||
155 (PJ11) |LTDC_G4||
156 (PJ12) |LTDC_B0||
157 (PJ13) |LTDC_B1||
158 (PJ14) |LTDC_B2||
159 (PJ15) |LTDC_B3||
160 (PK0) |LTDC_G5||
161 (PK1) |LTDC_G6||
162 (PK2) |LTDC_G7||
163 (PK3) |LTDC_B4||
164 (PK4) |LTDC_B5||
165 (PK5) |LTDC_B6||
166 (PK6) |LTDC_B7||
167 (PK7) |LTDC_DE||
