#Nucleo-F303RE

Below are the pins usable for the peripherals. Pins in **bold** are the default.

## SPI

Instance |MOSI|MISO|SCK|
-|-|-|-|
SPI1|**11 (PA7)**, 4 (PB5)|**12 (PA6)**, 5 (PB4)|**13 (PA5)**, 3 (PB3)|
SPI2|**22 (PA11)**, 33 (PB15)|**2 (PA10)**, 32 (PB14)|**31 (PB13)**, PF1|
SPI3|**4 (PB5)**, 43 (PC12)|**5 (PB4)**, 42 (PC11)|**3 (PB3)**, 41 (PC10)|

## I2C

Instance |SDA|SCL|
-|-|-|
I2C1|25 (PA14), 29 (PB7), **14 (PB9)**|26 (PA15), 10 (PB6), **15 (PB8)**|
I2C2|**2 (PA10)**, PF0|**8 (PA9)**, PF1|
I2C3|**4 (PB5)**, 40 (PC9)|**7 (PA8)**|

## USART

Instance |RX|TX|
-|-|-|
UART4|**42 (PC11)**|**41 (PC10)**|
UART5|**47 (PD2)**|**43 (PC12)**|
USART1|**2 (PA10)**, 29 (PB7), 37 (PC5)|**8 (PA9)**, 10 (PB6), 36 (PC4)|
USART2|**0 (PA3)**, 26 (PA15), 5 (PB4)|**1 (PA2)**, 25 (PA14), 3 (PB3)|
USART3|**15 (PB8)**, PB11, 42 (PC11)|**14 (PB9)**, 6 (PB10), 41 (PC10)|

## I2S

Instance |CK|SD|WS|MCK|
-|-|-|-|-|
I2S2|**31 (PB13)**, PF1|**22 (PA11)**, 33 (PB15)|**30 (PB12)**, PF0|**7 (PA8)**, 38 (PC6)|
I2S3|**3 (PB3)**, 41 (PC10)|**4 (PB5)**, 43 (PC12)|**18 (PA4)**, 26 (PA15)|**8 (PA9)**, 9 (PC7)|

## TIM

Instance |CH1|CH2|CH3|CH4|
-|-|-|-|-|
TIM1|**7 (PA8)**, 21 (PC0), <span style="text-decoration: overline">11 (PA7)</span>, <span style="text-decoration: overline">22 (PA11)</span>, <span style="text-decoration: overline">31 (PB13)</span>, <span style="text-decoration: overline">44 (PC13)</span>|**8 (PA9)**, 20 (PC1), <span style="text-decoration: overline">23 (PA12)</span>, <span style="text-decoration: overline">19 (PB0)</span>, <span style="text-decoration: overline">32 (PB14)</span>|**2 (PA10)**, 34 (PC2), <span style="text-decoration: overline">27 (PB1)</span>, <span style="text-decoration: overline">33 (PB15)</span>, <span style="text-decoration: overline">PF0</span>|**22 (PA11)**, 35 (PC3)|
TIM2|**16 (PA0)**, 13 (PA5), 26 (PA15)|**17 (PA1)**, 3 (PB3)|**1 (PA2)**, 8 (PA9), 6 (PB10)|**0 (PA3)**, 2 (PA10), PB11|
TIM3|**12 (PA6)**, 5 (PB4), 38 (PC6)|**18 (PA4)**, 11 (PA7), 4 (PB5), 9 (PC7)|**19 (PB0)**, 39 (PC8)|**27 (PB1)**, 29 (PB7), 40 (PC9)|
TIM4|**22 (PA11)**, 10 (PB6)|**23 (PA12)**, 29 (PB7)|**24 (PA13)**, 15 (PB8)|**14 (PB9)**|
TIM8|**26 (PA15)**, 10 (PB6), 38 (PC6), <span style="text-decoration: overline">11 (PA7)</span>, <span style="text-decoration: overline">3 (PB3)</span>, <span style="text-decoration: overline">41 (PC10)</span>|**25 (PA14)**, 15 (PB8), 9 (PC7), <span style="text-decoration: overline">19 (PB0)</span>, <span style="text-decoration: overline">5 (PB4)</span>, <span style="text-decoration: overline">42 (PC11)</span>|**14 (PB9)**, 39 (PC8), <span style="text-decoration: overline">27 (PB1)</span>, <span style="text-decoration: overline">4 (PB5)</span>, <span style="text-decoration: overline">43 (PC12)</span>|**40 (PC9)**|
TIM15|**1 (PA2)**, 32 (PB14), <span style="text-decoration: overline">17 (PA1)</span>, <span style="text-decoration: overline">33 (PB15)</span>|**0 (PA3)**, 33 (PB15)|||
TIM16|**12 (PA6)**, 23 (PA12), 5 (PB4), 15 (PB8), <span style="text-decoration: overline">24 (PA13)</span>, <span style="text-decoration: overline">10 (PB6)</span>||||
TIM17|**11 (PA7)**, 4 (PB5), 14 (PB9), <span style="text-decoration: overline">29 (PB7)</span>||||

## ADC 

Instance | Channel | Pin
-|-|-
ADC1|IN1|16 (PA0)|
ADC1|IN2|17 (PA1)|
ADC1|IN3|1 (PA2)|
ADC1|IN4|0 (PA3)|
ADC1|IN6|21 (PC0)|
ADC1|IN7|20 (PC1)|
ADC1|IN8|34 (PC2)|
ADC1|IN9|35 (PC3)|
ADC1|IN14|PB11|
ADC2|IN1|18 (PA4)|
ADC2|IN2|13 (PA5)|
ADC2|IN3|12 (PA6)|
ADC2|IN4|11 (PA7)|
ADC2|IN5|36 (PC4)|
ADC2|IN6|21 (PC0)|
ADC2|IN7|20 (PC1)|
ADC2|IN8|34 (PC2)|
ADC2|IN9|35 (PC3)|
ADC2|IN11|37 (PC5)|
ADC2|IN12|28 (PB2)|
ADC2|IN14|PB11|
ADC3|IN1|27 (PB1)|
ADC3|IN5|31 (PB13)|
ADC3|IN12|19 (PB0)|
ADC4|IN3|30 (PB12)|
ADC4|IN4|32 (PB14)|
ADC4|IN5|33 (PB15)|

## GPIO 

Pin | Peripheral signal available on the pin | Board macro
-|-|-
0 (PA3) |ADC1_IN4, OPAMP1_VINM, OPAMP1_VINM_SEC, TIM2_CH4, TIM15_CH2, TSC_G1_IO4, USART2_RX||
1 (PA2) |ADC1_IN3, COMP2_INM, COMP2_OUT, OPAMP1_VOUT, TIM2_CH3, TIM15_CH1, TSC_G1_IO3, USART2_TX||
2 (PA10) |COMP6_OUT, I2C2_SDA, I2S2_ext_SD, SPI2_MISO, TIM1_CH3, TIM2_CH4, TIM8_BKIN, TIM17_BKIN, TSC_G4_IO2, USART1_RX||
3 (PB3) |I2S3_CK, SPI1_SCK, SPI3_SCK, SYS_JTDO-TRACESWO, TIM2_CH2, TIM3_ETR, TIM4_ETR, TIM8_CH1N, TSC_G5_IO1, USART2_TX||
4 (PB5) |I2C1_SMBA, I2C3_SDA, I2S3_SD, SPI1_MOSI, SPI3_MOSI, TIM3_CH2, TIM8_CH3N, TIM16_BKIN, TIM17_CH1, USART2_CK||
5 (PB4) |I2S3_ext_SD, SPI1_MISO, SPI3_MISO, SYS_NJTRST, TIM3_CH1, TIM8_CH2N, TIM16_CH1, TIM17_BKIN, TSC_G5_IO2, USART2_RX||
6 (PB10) |OPAMP4_VINM, OPAMP4_VINM_SEC, TIM2_CH3, TSC_SYNC, USART3_TX||
7 (PA8) |COMP3_OUT, I2C2_SMBA, I2C3_SCL, I2S2_MCK, RCC_MCO, TIM1_CH1, TIM4_ETR, USART1_CK||
8 (PA9) |COMP5_OUT, I2C2_SCL, I2C3_SMBA, I2S3_MCK, TIM1_CH2, TIM2_CH3, TIM15_BKIN, TSC_G4_IO1, USART1_TX||
9 (PC7) |COMP5_OUT, I2S3_MCK, TIM3_CH2, TIM8_CH2||
10 (PB6) |I2C1_SCL, TIM4_CH1, TIM8_BKIN2, TIM8_CH1, TIM8_ETR, TIM16_CH1N, TSC_G5_IO3, USART1_TX||
11 (PA7) |ADC2_IN4, COMP2_INP, OPAMP2_VINP, OPAMP2_VINP_SEC, SPI1_MOSI, TIM1_CH1N, TIM3_CH2, TIM8_CH1N, TIM17_CH1, TSC_G2_IO4|**MOSI**|
12 (PA6) |ADC2_IN3, COMP1_OUT, OPAMP2_VOUT, SPI1_MISO, TIM1_BKIN, TIM3_CH1, TIM8_BKIN, TIM16_CH1, TSC_G2_IO3|**MISO**|
13 (PA5) |ADC2_IN2, DAC1_OUT2, OPAMP2_VINM, OPAMP2_VINM_SEC, SPI1_SCK, TIM2_CH1, TIM2_ETR, TSC_G2_IO2|**LED_BUILTIN**, **SCK**|
14 (PB9) |CAN_TX, COMP2_OUT, I2C1_SDA, IR_OUT, TIM4_CH4, TIM8_CH3, TIM17_CH1, USART3_TX|**SDA**|
15 (PB8) |CAN_RX, COMP1_OUT, I2C1_SCL, TIM1_BKIN, TIM4_CH3, TIM8_CH2, TIM16_CH1, TSC_SYNC, USART3_RX|**SCL**|
16 (PA0) |ADC1_IN1, COMP1_INM, COMP1_OUT, RTC_TAMP2, SYS_WKUP1, TIM2_CH1, TIM2_ETR, TIM8_BKIN, TIM8_ETR, TSC_G1_IO1, USART2_CTS|**A0**|
17 (PA1) |ADC1_IN2, COMP1_INP, OPAMP1_VINP, OPAMP1_VINP_SEC, OPAMP3_VINP, OPAMP3_VINP_SEC, RTC_REFIN, TIM2_CH2, TIM15_CH1N, TSC_G1_IO2, USART2_DE, USART2_RTS|**A1**|
18 (PA4) |ADC2_IN1, COMP3_INM, COMP4_INM, COMP5_INM, COMP6_INM, DAC1_OUT1, I2S3_WS, OPAMP4_VINP, OPAMP4_VINP_SEC, SPI1_NSS, SPI3_NSS, TIM3_CH2, TSC_G2_IO1, USART2_CK|**A2**, **SS**|
19 (PB0) |ADC3_IN12, COMP4_INP, TIM1_CH2N, TIM3_CH3, TIM8_CH2N, TSC_G3_IO2|**A3**|
20 (PC1) |ADC1_IN7, ADC2_IN7, COMP7_INP, TIM1_CH2|**A4**|
21 (PC0) |ADC1_IN6, ADC2_IN6, COMP7_INM, TIM1_CH1|**A5**|
22 (PA11) |CAN_RX, COMP1_OUT, I2S2_SD, SPI2_MOSI, TIM1_BKIN2, TIM1_CH1N, TIM1_CH4, TIM4_CH1, USART1_CTS, USB_DM||
23 (PA12) |CAN_TX, COMP2_OUT, I2S_CKIN, TIM1_CH2N, TIM1_ETR, TIM4_CH2, TIM16_CH1, USART1_DE, USART1_RTS, USB_DP||
24 (PA13) |IR_OUT, SYS_JTMS-SWDIO, TIM4_CH3, TIM16_CH1N, TSC_G4_IO3, USART3_CTS||
25 (PA14) |I2C1_SDA, SYS_JTCK-SWCLK, TIM1_BKIN, TIM8_CH2, TSC_G4_IO4, USART2_TX||
26 (PA15) |I2C1_SCL, I2S3_WS, SPI1_NSS, SPI3_NSS, SYS_JTDI, TIM1_BKIN, TIM2_CH1, TIM2_ETR, TIM8_CH1, TSC_SYNC, USART2_RX||
27 (PB1) |ADC3_IN1, COMP4_OUT, OPAMP3_VOUT, TIM1_CH3N, TIM3_CH4, TIM8_CH3N, TSC_G3_IO3||
28 (PB2) |ADC2_IN12, OPAMP3_VINM, OPAMP3_VINM_SEC, TSC_G3_IO4||
29 (PB7) |I2C1_SDA, TIM3_CH4, TIM4_CH2, TIM8_BKIN, TIM17_CH1N, TSC_G5_IO4, USART1_RX||
30 (PB12) |ADC4_IN3, I2C2_SMBA, I2S2_WS, OPAMP4_VOUT, SPI2_NSS, TIM1_BKIN, TSC_G6_IO2, USART3_CK||
31 (PB13) |ADC3_IN5, COMP5_INP, I2S2_CK, SPI2_SCK, TIM1_CH1N, TSC_G6_IO3, USART3_CTS||
32 (PB14) |ADC4_IN4, COMP3_INP, I2S2_ext_SD, SPI2_MISO, TIM1_CH2N, TIM15_CH1, TSC_G6_IO4, USART3_DE, USART3_RTS||
33 (PB15) |ADC4_IN5, I2S2_SD, RTC_REFIN, SPI2_MOSI, TIM1_CH3N, TIM15_CH1N, TIM15_CH2||
34 (PC2) |ADC1_IN8, ADC2_IN8, ADC3_EXTI2, ADC4_EXTI2, COMP7_OUT, TIM1_CH3||
35 (PC3) |ADC1_IN9, ADC2_IN9, TIM1_BKIN2, TIM1_CH4||
36 (PC4) |ADC2_IN5, TIM1_ETR, USART1_TX||
37 (PC5) |ADC2_IN11, TIM15_BKIN, TSC_G3_IO1, USART1_RX||
38 (PC6) |COMP6_OUT, I2S2_MCK, TIM3_CH1, TIM8_CH1||
39 (PC8) |COMP3_OUT, TIM3_CH3, TIM8_CH3||
40 (PC9) |DAC1_EXTI9, I2C3_SDA, I2S_CKIN, TIM3_CH4, TIM8_BKIN2, TIM8_CH4||
41 (PC10) |I2S3_CK, SPI3_SCK, TIM8_CH1N, UART4_TX, USART3_TX||
42 (PC11) |I2S3_ext_SD, SPI3_MISO, TIM8_CH2N, UART4_RX, USART3_RX||
43 (PC12) |I2S3_SD, SPI3_MOSI, TIM8_CH3N, UART5_TX, USART3_CK||
44 (PC13) |RTC_OUT_ALARM, RTC_OUT_CALIB, RTC_TAMP1, RTC_TS, SYS_WKUP2, TIM1_CH1N||
45 (PC14) |RCC_OSC32_IN||
46 (PC15) |ADC1_EXTI15, ADC2_EXTI15, ADC3_EXTI15, ADC4_EXTI15, RCC_OSC32_OUT||
47 (PD2) |TIM3_ETR, TIM8_BKIN, UART5_RX||
