#Nucleo-F767ZI

Below are the pins usable for the peripherals. Pins in **bold** are the default.

## SPI

Instance |MOSI|MISO|SCK|
-|-|-|-|
SPI1|**PA7**, PB5, PD7|**PA6**, PB4, PG9|**PA5**, PB3, PG11|
SPI2|**PB15**, PC1, PC3|**PB14**, PC2|**PA9**, PA12, PB10, PB13, PD3|
SPI3|**PB2**, PB5, PC12, PD6|**PB4**, PC11|**PB3**, PC10|
SPI4|**PE6**, PE14|**PE5**, PE13|**PE2**, PE12|
SPI5|**PF9**, PF11|**PF8**|**PF7**|
SPI6|**PA7**, PB5, PG14|**PA6**, PB4, PG12|**PA5**, PB3, PG13|

## I2C

Instance |SDA|SCL|
-|-|-|
I2C1|PB7, **PB9**|PB6, **PB8**|
I2C2|**PB11**, PF0|**PB10**, PF1|
I2C3|**PC9**|**PA8**|
I2C4|**PB7**, PB9, PD13, PF15|**PB6**, PB8, PD12, PF14|

## USART

Instance |RX|TX|
-|-|-|
UART4|**PA1**, PA11, PC11, PD0|**PA0**, PA12, PC10, PD1|
UART5|**PB5**, PB8, PB12, PD2|**PB6**, PB9, PB13, PC12|
UART7|**PA8**, PB3, PE7, PF6|**PA15**, PB4, PE8, PF7|
UART8|**PE0**|**PE1**|
USART1|**PA10**, PB7, PB15|**PA9**, PB6, PB14|
USART2|**PA3**, PD6|**PA2**, PD5|
USART3|**PB11**, PC11, PD9|**PB10**, PC10, PD8|
USART6|**PC7**, PG9|**PC6**, PG14|

## I2S

Instance |CK|SD|WS|MCK|
-|-|-|-|-|
I2S1|**PA5**, PB3, PG11|**PA7**, PB5, PD7|**PA4**, PA15, PG10|**PC4**|
I2S2|**PA9**, PA12, PB10, PB13, PD3|**PB15**, PC1, PC3|**PA11**, PB4, PB9, PB12|**PC6**|
I2S3|**PB3**, PC10|**PB2**, PB5, PC12, PD6|**PA4**, PA15|**PC7**|

## TIM

Instance |CH1|CH2|CH3|CH4|
-|-|-|-|-|
TIM1|**PA8**, PE9, <span style="text-decoration: overline">PA7</span>, <span style="text-decoration: overline">PB13</span>, <span style="text-decoration: overline">PE8</span>|**PA9**, PE11, <span style="text-decoration: overline">PB0</span>, <span style="text-decoration: overline">PB14</span>, <span style="text-decoration: overline">PE10</span>|**PA10**, PE13, <span style="text-decoration: overline">PB1</span>, <span style="text-decoration: overline">PB15</span>, <span style="text-decoration: overline">PE12</span>|**PA11**, PE14|
TIM2|**PA0**, PA5, PA15|**PA1**, PB3|**PA2**, PB10|**PA3**, PB11|
TIM3|**PA6**, PB4, PC6|**PA7**, PB5, PC7|**PB0**, PC8|**PB1**, PC9|
TIM4|**PB6**, PD12|**PB7**, PD13|**PB8**, PD14|**PB9**, PD15|
TIM5|**PA0**|**PA1**|**PA2**|**PA3**|
TIM8|**PC6**, <span style="text-decoration: overline">PA5</span>, <span style="text-decoration: overline">PA7</span>|**PC7**, <span style="text-decoration: overline">PB0</span>, <span style="text-decoration: overline">PB14</span>|**PC8**, <span style="text-decoration: overline">PB1</span>, <span style="text-decoration: overline">PB15</span>|**PC9**|
TIM9|**PA2**, PE5|**PA3**, PE6|||
TIM10|**PB8**, PF6||||
TIM11|**PB9**, PF7||||
TIM12|**PB14**|**PB15**|||
TIM13|**PA6**, PF8||||
TIM14|**PA7**, PF9||||

## ADC 

Instance | Channel | Pin
-|-|-
ADC1|IN0|PA0|
ADC1|IN1|PA1|
ADC1|IN2|PA2|
ADC1|IN3|PA3|
ADC1|IN4|PA4|
ADC1|IN5|PA5|
ADC1|IN6|PA6|
ADC1|IN7|PA7|
ADC1|IN8|PB0|
ADC1|IN9|PB1|
ADC1|IN10|PC0|
ADC1|IN11|PC1|
ADC1|IN12|PC2|
ADC1|IN13|PC3|
ADC1|IN14|PC4|
ADC1|IN15|PC5|
ADC2|IN0|PA0|
ADC2|IN1|PA1|
ADC2|IN2|PA2|
ADC2|IN3|PA3|
ADC2|IN4|PA4|
ADC2|IN5|PA5|
ADC2|IN6|PA6|
ADC2|IN7|PA7|
ADC2|IN8|PB0|
ADC2|IN9|PB1|
ADC2|IN10|PC0|
ADC2|IN11|PC1|
ADC2|IN12|PC2|
ADC2|IN13|PC3|
ADC2|IN14|PC4|
ADC2|IN15|PC5|
ADC3|IN0|PA0|
ADC3|IN1|PA1|
ADC3|IN2|PA2|
ADC3|IN3|PA3|
ADC3|IN4|PF6|
ADC3|IN5|PF7|
ADC3|IN6|PF8|
ADC3|IN7|PF9|
ADC3|IN8|PF10|
ADC3|IN9|PF3|
ADC3|IN10|PC0|
ADC3|IN11|PC1|
ADC3|IN12|PC2|
ADC3|IN13|PC3|
ADC3|IN14|PF4|
ADC3|IN15|PF5|

## GPIO 

Pin | Peripheral signal available on the pin | Board macro
-|-|-
PA0 |ADC1_IN0, ADC2_IN0, ADC3_IN0, ETH_CRS, SAI2_SD_B, SYS_WKUP1, TIM2_CH1, TIM2_ETR, TIM5_CH1, TIM8_ETR, UART4_TX, USART2_CTS||
PA1 |ADC1_IN1, ADC2_IN1, ADC3_IN1, ETH_REF_CLK, ETH_RX_CLK, LTDC_R2, QUADSPI_BK1_IO3, SAI2_MCLK_B, TIM2_CH2, TIM5_CH2, UART4_RX, USART2_DE, USART2_RTS||
PA2 |ADC1_IN2, ADC2_IN2, ADC3_IN2, ETH_MDIO, LTDC_R1, MDIOS_MDIO, SAI2_SCK_B, SYS_WKUP2, TIM2_CH3, TIM5_CH3, TIM9_CH1, USART2_TX||
PA3 |ADC1_IN3, ADC2_IN3, ADC3_IN3, ETH_COL, LTDC_B2, LTDC_B5, TIM2_CH4, TIM5_CH4, TIM9_CH2, USART2_RX, USB_OTG_HS_ULPI_D0||
PA4 |ADC1_IN4, ADC2_IN4, DAC_OUT1, DCMI_HSYNC, I2S1_WS, I2S3_WS, LTDC_VSYNC, SPI1_NSS, SPI3_NSS, SPI6_NSS, USART2_CK, USB_OTG_HS_SOF|**SS**|
PA5 |ADC1_IN5, ADC2_IN5, DAC_OUT2, I2S1_CK, LTDC_R4, SPI1_SCK, SPI6_SCK, TIM2_CH1, TIM2_ETR, TIM8_CH1N, USB_OTG_HS_ULPI_CK|**SCK**|
PA6 |ADC1_IN6, ADC2_IN6, DCMI_PIXCLK, LTDC_G2, MDIOS_MDC, SPI1_MISO, SPI6_MISO, TIM1_BKIN, TIM3_CH1, TIM8_BKIN, TIM13_CH1|**MISO**|
PA7 |ADC1_IN7, ADC2_IN7, ETH_CRS_DV, ETH_RX_DV, FMC_SDNWE, I2S1_SD, SPI1_MOSI, SPI6_MOSI, TIM1_CH1N, TIM3_CH2, TIM8_CH1N, TIM14_CH1|**MOSI**|
PA8 |CAN3_RX, I2C3_SCL, LTDC_B3, LTDC_R6, RCC_MCO_1, TIM1_CH1, TIM8_BKIN2, UART7_RX, USART1_CK, USB_OTG_FS_SOF||
PA9 |DCMI_D0, I2C3_SMBA, I2S2_CK, LTDC_R5, SPI2_SCK, TIM1_CH2, USART1_TX, USB_OTG_FS_VBUS||
PA10 |DCMI_D1, LTDC_B1, LTDC_B4, MDIOS_MDIO, TIM1_CH3, USART1_RX, USB_OTG_FS_ID||
PA11 |CAN1_RX, I2S2_WS, LTDC_R4, SPI2_NSS, TIM1_CH4, UART4_RX, USART1_CTS, USB_OTG_FS_DM||
PA12 |CAN1_TX, I2S2_CK, LTDC_R5, SAI2_FS_B, SPI2_SCK, TIM1_ETR, UART4_TX, USART1_DE, USART1_RTS, USB_OTG_FS_DP||
PA13 |SYS_JTMS-SWDIO||
PA14 |SYS_JTCK-SWCLK||
PA15 |CAN3_TX, CEC, I2S1_WS, I2S3_WS, SPI1_NSS, SPI3_NSS, SPI6_NSS, SYS_JTDI, TIM2_CH1, TIM2_ETR, UART4_DE, UART4_RTS, UART7_TX||
PB0 |ADC1_IN8, ADC2_IN8, DFSDM1_CKOUT, ETH_RXD2, LTDC_G1, LTDC_R3, TIM1_CH2N, TIM3_CH3, TIM8_CH2N, UART4_CTS, USB_OTG_HS_ULPI_D1||
PB1 |ADC1_IN9, ADC2_IN9, DFSDM1_DATIN1, ETH_RXD3, LTDC_G0, LTDC_R6, TIM1_CH3N, TIM3_CH4, TIM8_CH3N, USB_OTG_HS_ULPI_D2||
PB2 |DFSDM1_CKIN1, I2S3_SD, QUADSPI_CLK, SAI1_SD_A, SPI3_MOSI||
PB3 |CAN3_RX, I2S1_CK, I2S3_CK, SDMMC2_D2, SPI1_SCK, SPI3_SCK, SPI6_SCK, SYS_JTDO-SWO, TIM2_CH2, UART7_RX||
PB4 |CAN3_TX, I2S2_WS, SDMMC2_D3, SPI1_MISO, SPI2_NSS, SPI3_MISO, SPI6_MISO, SYS_JTRST, TIM3_CH1, UART7_TX||
PB5 |CAN2_RX, DCMI_D10, ETH_PPS_OUT, FMC_SDCKE1, I2C1_SMBA, I2S1_SD, I2S3_SD, LTDC_G7, SPI1_MOSI, SPI3_MOSI, SPI6_MOSI, TIM3_CH2, UART5_RX, USB_OTG_HS_ULPI_D7||
PB6 |CAN2_TX, CEC, DCMI_D5, DFSDM1_DATIN5, FMC_SDNE1, I2C1_SCL, I2C4_SCL, QUADSPI_BK1_NCS, TIM4_CH1, UART5_TX, USART1_TX||
PB7 |DCMI_VSYNC, DFSDM1_CKIN5, FMC_NL, I2C1_SDA, I2C4_SDA, TIM4_CH2, USART1_RX||
PB8 |CAN1_RX, DCMI_D6, DFSDM1_CKIN7, ETH_TXD3, I2C1_SCL, I2C4_SCL, LTDC_B6, SDMMC1_D4, SDMMC2_D4, TIM4_CH3, TIM10_CH1, UART5_RX|**SCL**|
PB9 |CAN1_TX, DCMI_D7, DFSDM1_DATIN7, I2C1_SDA, I2C4_SDA, I2C4_SMBA, I2S2_WS, LTDC_B7, SDMMC1_D5, SDMMC2_D5, SPI2_NSS, TIM4_CH4, TIM11_CH1, UART5_TX|**SDA**|
PB10 |DFSDM1_DATIN7, ETH_RX_ER, I2C2_SCL, I2S2_CK, LTDC_G4, QUADSPI_BK1_NCS, SPI2_SCK, TIM2_CH3, USART3_TX, USB_OTG_HS_ULPI_D3||
PB11 |DFSDM1_CKIN7, ETH_TX_EN, I2C2_SDA, LTDC_G5, TIM2_CH4, USART3_RX, USB_OTG_HS_ULPI_D4||
PB12 |CAN2_RX, DFSDM1_DATIN1, ETH_TXD0, I2C2_SMBA, I2S2_WS, SPI2_NSS, TIM1_BKIN, UART5_RX, USART3_CK, USB_OTG_HS_ID, USB_OTG_HS_ULPI_D5||
PB13 |CAN2_TX, DFSDM1_CKIN1, ETH_TXD1, I2S2_CK, SPI2_SCK, TIM1_CH1N, UART5_TX, USART3_CTS, USB_OTG_HS_ULPI_D6, USB_OTG_HS_VBUS||
PB14 |DFSDM1_DATIN2, SDMMC2_D0, SPI2_MISO, TIM1_CH2N, TIM8_CH2N, TIM12_CH1, UART4_DE, UART4_RTS, USART1_TX, USART3_DE, USART3_RTS, USB_OTG_HS_DM||
PB15 |DFSDM1_CKIN2, I2S2_SD, RTC_REFIN, SDMMC2_D1, SPI2_MOSI, TIM1_CH3N, TIM8_CH3N, TIM12_CH2, UART4_CTS, USART1_RX, USB_OTG_HS_DP||
PC0 |ADC1_IN10, ADC2_IN10, ADC3_IN10, DFSDM1_CKIN0, DFSDM1_DATIN4, FMC_SDNWE, LTDC_R5, SAI2_FS_B, USB_OTG_HS_ULPI_STP||
PC1 |ADC1_IN11, ADC2_IN11, ADC3_IN11, DFSDM1_CKIN4, DFSDM1_DATIN0, ETH_MDC, I2S2_SD, MDIOS_MDC, RTC_TAMP3, SAI1_SD_A, SPI2_MOSI, SYS_TRACED0, SYS_WKUP3||
PC2 |ADC1_IN12, ADC2_IN12, ADC3_IN12, DFSDM1_CKIN1, DFSDM1_CKOUT, ETH_TXD2, FMC_SDNE0, SPI2_MISO, USB_OTG_HS_ULPI_DIR||
PC3 |ADC1_IN13, ADC2_IN13, ADC3_IN13, DFSDM1_DATIN1, ETH_TX_CLK, FMC_SDCKE0, I2S2_SD, SPI2_MOSI, USB_OTG_HS_ULPI_NXT||
PC4 |ADC1_IN14, ADC2_IN14, DFSDM1_CKIN2, ETH_RXD0, FMC_SDNE0, I2S1_MCK, SPDIFRX_IN2||
PC5 |ADC1_IN15, ADC2_IN15, DFSDM1_DATIN2, ETH_RXD1, FMC_SDCKE0, SPDIFRX_IN3||
PC6 |DCMI_D0, DFSDM1_CKIN3, FMC_NWAIT, I2S2_MCK, LTDC_HSYNC, SDMMC1_D6, SDMMC2_D6, TIM3_CH1, TIM8_CH1, USART6_TX||
PC7 |DCMI_D1, DFSDM1_DATIN3, FMC_NE1, I2S3_MCK, LTDC_G6, SDMMC1_D7, SDMMC2_D7, TIM3_CH2, TIM8_CH2, USART6_RX||
PC8 |DCMI_D2, FMC_NCE, FMC_NE2, SDMMC1_D0, SYS_TRACED1, TIM3_CH3, TIM8_CH3, UART5_DE, UART5_RTS, USART6_CK||
PC9 |DCMI_D3, I2C3_SDA, I2S_CKIN, LTDC_B2, LTDC_G3, QUADSPI_BK1_IO0, RCC_MCO_2, SDMMC1_D1, TIM3_CH4, TIM8_CH4, UART5_CTS||
PC10 |DCMI_D8, DFSDM1_CKIN5, I2S3_CK, LTDC_R2, QUADSPI_BK1_IO1, SDMMC1_D2, SPI3_SCK, UART4_TX, USART3_TX||
PC11 |DCMI_D4, DFSDM1_DATIN5, QUADSPI_BK2_NCS, SDMMC1_D3, SPI3_MISO, UART4_RX, USART3_RX||
PC12 |DCMI_D9, I2S3_SD, SDMMC1_CK, SPI3_MOSI, SYS_TRACED3, UART5_TX, USART3_CK||
PC13 |RTC_OUT_ALARM, RTC_OUT_CALIB, RTC_TAMP1, RTC_TS, SYS_WKUP4|**KEY_BOTTON**|
PC14 |RCC_OSC32_IN||
PC15 |RCC_OSC32_OUT||
PD0 |CAN1_RX, DFSDM1_CKIN6, DFSDM1_DATIN7, FMC_D2, FMC_DA2, UART4_RX||
PD1 |CAN1_TX, DFSDM1_CKIN7, DFSDM1_DATIN6, FMC_D3, FMC_DA3, UART4_TX||
PD2 |DCMI_D11, SDMMC1_CMD, SYS_TRACED2, TIM3_ETR, UART5_RX||
PD3 |DCMI_D5, DFSDM1_CKOUT, DFSDM1_DATIN0, FMC_CLK, I2S2_CK, LTDC_G7, SPI2_SCK, USART2_CTS||
PD4 |DFSDM1_CKIN0, FMC_NOE, USART2_DE, USART2_RTS||
PD5 |FMC_NWE, USART2_TX||
PD6 |DCMI_D10, DFSDM1_CKIN4, DFSDM1_DATIN1, FMC_NWAIT, I2S3_SD, LTDC_B2, SAI1_SD_A, SDMMC2_CK, SPI3_MOSI, USART2_RX||
PD7 |DFSDM1_CKIN1, DFSDM1_DATIN4, FMC_NE1, I2S1_SD, SDMMC2_CMD, SPDIFRX_IN0, SPI1_MOSI, USART2_CK||
PD8 |DFSDM1_CKIN3, FMC_D13, FMC_DA13, SPDIFRX_IN1, USART3_TX||
PD9 |DFSDM1_DATIN3, FMC_D14, FMC_DA14, USART3_RX||
PD10 |DFSDM1_CKOUT, FMC_D15, FMC_DA15, LTDC_B3, USART3_CK||
PD11 |FMC_A16, FMC_CLE, I2C4_SMBA, QUADSPI_BK1_IO0, SAI2_SD_A, USART3_CTS||
PD12 |FMC_A17, FMC_ALE, I2C4_SCL, LPTIM1_IN1, QUADSPI_BK1_IO1, SAI2_FS_A, TIM4_CH1, USART3_DE, USART3_RTS||
PD13 |FMC_A18, I2C4_SDA, LPTIM1_OUT, QUADSPI_BK1_IO3, SAI2_SCK_A, TIM4_CH2||
PD14 |FMC_D0, FMC_DA0, TIM4_CH3, UART8_CTS||
PD15 |FMC_D1, FMC_DA1, TIM4_CH4, UART8_DE, UART8_RTS||
PDR_ON |||
PE0 |DCMI_D2, FMC_NBL0, LPTIM1_ETR, SAI2_MCLK_A, TIM4_ETR, UART8_RX||
PE1 |DCMI_D3, FMC_NBL1, LPTIM1_IN2, UART8_TX||
PE2 |ETH_TXD3, FMC_A23, QUADSPI_BK1_IO2, SAI1_MCLK_A, SPI4_SCK, SYS_TRACECLK||
PE3 |FMC_A19, SAI1_SD_B, SYS_TRACED0||
PE4 |DCMI_D4, DFSDM1_DATIN3, FMC_A20, LTDC_B0, SAI1_FS_A, SPI4_NSS, SYS_TRACED1||
PE5 |DCMI_D6, DFSDM1_CKIN3, FMC_A21, LTDC_G0, SAI1_SCK_A, SPI4_MISO, SYS_TRACED2, TIM9_CH1||
PE6 |DCMI_D7, FMC_A22, LTDC_G1, SAI1_SD_A, SAI2_MCLK_B, SPI4_MOSI, SYS_TRACED3, TIM1_BKIN2, TIM9_CH2||
PE7 |DFSDM1_DATIN2, FMC_D4, FMC_DA4, QUADSPI_BK2_IO0, TIM1_ETR, UART7_RX||
PE8 |DFSDM1_CKIN2, FMC_D5, FMC_DA5, QUADSPI_BK2_IO1, TIM1_CH1N, UART7_TX||
PE9 |DFSDM1_CKOUT, FMC_D6, FMC_DA6, QUADSPI_BK2_IO2, TIM1_CH1, UART7_DE, UART7_RTS||
PE10 |DFSDM1_DATIN4, FMC_D7, FMC_DA7, QUADSPI_BK2_IO3, TIM1_CH2N, UART7_CTS||
PE11 |DFSDM1_CKIN4, FMC_D8, FMC_DA8, LTDC_G3, SAI2_SD_B, SPI4_NSS, TIM1_CH2||
PE12 |DFSDM1_DATIN5, FMC_D9, FMC_DA9, LTDC_B4, SAI2_SCK_B, SPI4_SCK, TIM1_CH3N||
PE13 |DFSDM1_CKIN5, FMC_D10, FMC_DA10, LTDC_DE, SAI2_FS_B, SPI4_MISO, TIM1_CH3||
PE14 |FMC_D11, FMC_DA11, LTDC_CLK, SAI2_MCLK_B, SPI4_MOSI, TIM1_CH4||
PE15 |FMC_D12, FMC_DA12, LTDC_R7, TIM1_BKIN||
PF0 |FMC_A0, I2C2_SDA||
PF1 |FMC_A1, I2C2_SCL||
PF2 |FMC_A2, I2C2_SMBA||
PF3 |ADC3_IN9, FMC_A3||
PF4 |ADC3_IN14, FMC_A4||
PF5 |ADC3_IN15, FMC_A5||
PF6 |ADC3_IN4, QUADSPI_BK1_IO3, SAI1_SD_B, SPI5_NSS, TIM10_CH1, UART7_RX||
PF7 |ADC3_IN5, QUADSPI_BK1_IO2, SAI1_MCLK_B, SPI5_SCK, TIM11_CH1, UART7_TX||
PF8 |ADC3_IN6, QUADSPI_BK1_IO0, SAI1_SCK_B, SPI5_MISO, TIM13_CH1, UART7_DE, UART7_RTS||
PF9 |ADC3_IN7, DAC_EXTI9, QUADSPI_BK1_IO1, SAI1_FS_B, SPI5_MOSI, TIM14_CH1, UART7_CTS||
PF10 |ADC3_IN8, DCMI_D11, LTDC_DE, QUADSPI_CLK||
PF11 |ADC1_EXTI11, ADC2_EXTI11, ADC3_EXTI11, DCMI_D12, FMC_SDNRAS, SAI2_SD_B, SPI5_MOSI||
PF12 |FMC_A6||
PF13 |DFSDM1_DATIN6, FMC_A7, I2C4_SMBA||
PF14 |DFSDM1_CKIN6, FMC_A8, I2C4_SCL||
PF15 |FMC_A9, I2C4_SDA||
PG0 |FMC_A10||
PG1 |FMC_A11||
PG2 |FMC_A12||
PG3 |FMC_A13||
PG4 |FMC_A14, FMC_BA0||
PG5 |FMC_A15, FMC_BA1||
PG6 |DCMI_D12, FMC_NE3, LTDC_R7||
PG7 |DCMI_D13, FMC_INT, LTDC_CLK, SAI1_MCLK_A, USART6_CK||
PG8 |ETH_PPS_OUT, FMC_SDCLK, LTDC_G7, SPDIFRX_IN2, SPI6_NSS, USART6_DE, USART6_RTS||
PG9 |DCMI_VSYNC, FMC_NCE, FMC_NE2, QUADSPI_BK2_IO2, SAI2_FS_B, SDMMC2_D0, SPDIFRX_IN3, SPI1_MISO, USART6_RX||
PG10 |DCMI_D2, FMC_NE3, I2S1_WS, LTDC_B2, LTDC_G3, SAI2_SD_B, SDMMC2_D1, SPI1_NSS||
PG11 |DCMI_D3, ETH_TX_EN, I2S1_CK, LTDC_B3, SDMMC2_D2, SPDIFRX_IN0, SPI1_SCK||
PG12 |FMC_NE4, LPTIM1_IN1, LTDC_B1, LTDC_B4, SDMMC2_D3, SPDIFRX_IN1, SPI6_MISO, USART6_DE, USART6_RTS||
PG13 |ETH_TXD0, FMC_A24, LPTIM1_OUT, LTDC_R0, SPI6_SCK, SYS_TRACED0, USART6_CTS||
PG14 |ETH_TXD1, FMC_A25, LPTIM1_ETR, LTDC_B0, QUADSPI_BK2_IO3, SPI6_MOSI, SYS_TRACED1, USART6_TX||
PG15 |DCMI_D13, FMC_SDNCAS, USART6_CTS||
PH0 |RCC_OSC_IN||
PH1 |RCC_OSC_OUT||
