#Nucleo-L053R8

Below are the pins usable for the peripherals. Pins in **bold** are the default.

## SPI

Instance |MOSI|MISO|SCK|
-|-|-|-|
SPI1|**11 (PA7)**, 23 (PA12), 4 (PB5)|**12 (PA6)**, 22 (PA11), 5 (PB4)|**13 (PA5)**, 3 (PB3)|
SPI2|**33 (PB15)**, 35 (PC3)|**32 (PB14)**, 34 (PC2)|**6 (PB10)**, 31 (PB13)|

## I2C

Instance |SDA|SCL|
-|-|-|
I2C1|29 (PB7), **14 (PB9)**|10 (PB6), **15 (PB8)**|
I2C2|**PB11**, 32 (PB14)|**6 (PB10)**, 31 (PB13)|

## USART

Instance |RX|TX|
-|-|-|
USART1|**2 (PA10)**, 29 (PB7)|**8 (PA9)**, 10 (PB6)|
USART2|**0 (PA3)**, 26 (PA15)|**1 (PA2)**, 25 (PA14)|

## I2S

Instance |CK|SD|WS|MCK|
-|-|-|-|-|
I2S2|**31 (PB13)**|**33 (PB15)**, 35 (PC3)|**14 (PB9)**, 30 (PB12)|**32 (PB14)**, 34 (PC2)|

## TIM

Instance |CH1|CH2|CH3|CH4|
-|-|-|-|-|
TIM2|**16 (PA0)**, 13 (PA5), 26 (PA15)|**17 (PA1)**, 3 (PB3)|**1 (PA2)**, 6 (PB10)|**0 (PA3)**, PB11|
TIM21|**1 (PA2)**, 31 (PB13)|**0 (PA3)**, 32 (PB14)|||
TIM22|**12 (PA6)**, 5 (PB4), 38 (PC6)|**11 (PA7)**, 4 (PB5), 9 (PC7)|||

## ADC 

Instance | Channel | Pin
-|-|-
ADC|IN0|16 (PA0)|
ADC|IN1|17 (PA1)|
ADC|IN2|1 (PA2)|
ADC|IN3|0 (PA3)|
ADC|IN4|18 (PA4)|
ADC|IN5|13 (PA5)|
ADC|IN6|12 (PA6)|
ADC|IN7|11 (PA7)|
ADC|IN8|19 (PB0)|
ADC|IN9|27 (PB1)|
ADC|IN10|21 (PC0)|
ADC|IN11|20 (PC1)|
ADC|IN12|34 (PC2)|
ADC|IN13|35 (PC3)|
ADC|IN14|36 (PC4)|
ADC|IN15|37 (PC5)|

## GPIO 

Pin | Peripheral signal available on the pin | Board macro
-|-|-
0 (PA3) |ADC_IN3, COMP2_INP, LCD_SEG2, TIM2_CH4, TIM21_CH2, TSC_G1_IO4, USART2_RX||
1 (PA2) |ADC_IN2, COMP2_INM, COMP2_OUT, LCD_SEG1, TIM2_CH3, TIM21_CH1, TSC_G1_IO3, USART2_TX||
2 (PA10) |LCD_COM2, TSC_G4_IO2, USART1_RX||
3 (PB3) |LCD_SEG7, SPI1_SCK, TIM2_CH2, TSC_G5_IO1||
4 (PB5) |I2C1_SMBA, LCD_SEG9, LPTIM1_IN1, SPI1_MOSI, TIM22_CH2||
5 (PB4) |LCD_SEG8, SPI1_MISO, TIM22_CH1, TSC_G5_IO2||
6 (PB10) |I2C2_SCL, LCD_SEG10, LPUART1_TX, SPI2_SCK, TIM2_CH3, TSC_SYNC||
7 (PA8) |CRS_SYNC, LCD_COM0, RCC_MCO, USART1_CK||
8 (PA9) |LCD_COM1, RCC_MCO, TSC_G4_IO1, USART1_TX||
9 (PC7) |LCD_SEG25, TIM22_CH2, TSC_G8_IO2||
10 (PB6) |I2C1_SCL, LPTIM1_ETR, TSC_G5_IO3, USART1_TX||
11 (PA7) |ADC_IN7, COMP2_OUT, LCD_SEG4, SPI1_MOSI, TIM22_CH2, TSC_G2_IO4|**MOSI**|
12 (PA6) |ADC_IN6, COMP1_OUT, LCD_SEG3, LPUART1_CTS, SPI1_MISO, TIM22_CH1, TSC_G2_IO3|**MISO**|
13 (PA5) |ADC_IN5, SPI1_SCK, TIM2_CH1, TIM2_ETR, TSC_G2_IO2|**LED_BUILTIN**, **SCK**|
14 (PB9) |I2C1_SDA, I2S2_WS, LCD_COM3, SPI2_NSS|**SDA**|
15 (PB8) |I2C1_SCL, LCD_SEG16, TSC_SYNC|**SCL**|
16 (PA0) |ADC_IN0, COMP1_INM, COMP1_OUT, RTC_TAMP2, SYS_WKUP1, TIM2_CH1, TIM2_ETR, TSC_G1_IO1, USART2_CTS|**A0**|
17 (PA1) |ADC_IN1, COMP1_INP, LCD_SEG0, TIM2_CH2, TIM21_ETR, TSC_G1_IO2, USART2_DE, USART2_RTS|**A1**|
18 (PA4) |ADC_IN4, DAC_OUT1, SPI1_NSS, TIM22_ETR, TSC_G2_IO1, USART2_CK|**A2**, **SS**|
19 (PB0) |ADC_IN8, LCD_SEG5, LCD_VLCD3, SYS_VREF_OUT_PB0, TSC_G3_IO2|**A3**|
20 (PC1) |ADC_IN11, LCD_SEG19, LPTIM1_OUT, TSC_G7_IO2|**A4**|
21 (PC0) |ADC_IN10, LCD_SEG18, LPTIM1_IN1, TSC_G7_IO1|**A5**|
22 (PA11) |COMP1_OUT, SPI1_MISO, TSC_G4_IO3, USART1_CTS, USB_DM||
23 (PA12) |COMP2_OUT, SPI1_MOSI, TSC_G4_IO4, USART1_DE, USART1_RTS, USB_DP||
24 (PA13) |SYS_SWDIO, USB_NOE||
25 (PA14) |SYS_SWCLK, USART2_TX||
26 (PA15) |LCD_SEG17, SPI1_NSS, TIM2_CH1, TIM2_ETR, USART2_RX||
27 (PB1) |ADC_IN9, LCD_SEG6, LPUART1_DE, LPUART1_RTS, SYS_VREF_OUT_PB1, TSC_G3_IO3||
28 (PB2) |LCD_VLCD1, LPTIM1_OUT, TSC_G3_IO4||
29 (PB7) |I2C1_SDA, LPTIM1_IN2, SYS_PVD_IN, TSC_G5_IO4, USART1_RX||
30 (PB12) |I2S2_WS, LCD_SEG12, LCD_VLCD2, LPUART1_DE, LPUART1_RTS, SPI2_NSS, TSC_G6_IO2||
31 (PB13) |I2C2_SCL, I2S2_CK, LCD_SEG13, LPUART1_CTS, SPI2_SCK, TIM21_CH1, TSC_G6_IO3||
32 (PB14) |I2C2_SDA, I2S2_MCK, LCD_SEG14, LPUART1_DE, LPUART1_RTS, RTC_OUT_ALARM, RTC_OUT_CALIB, SPI2_MISO, TIM21_CH2, TSC_G6_IO4||
33 (PB15) |I2S2_SD, LCD_SEG15, RTC_REFIN, SPI2_MOSI||
34 (PC2) |ADC_IN12, I2S2_MCK, LCD_SEG20, LPTIM1_IN2, SPI2_MISO, TSC_G7_IO3||
35 (PC3) |ADC_IN13, I2S2_SD, LCD_SEG21, LPTIM1_ETR, SPI2_MOSI, TSC_G7_IO4||
36 (PC4) |ADC_IN14, LCD_SEG22, LPUART1_TX||
37 (PC5) |ADC_IN15, LCD_SEG23, LPUART1_RX, TSC_G3_IO1||
38 (PC6) |LCD_SEG24, TIM22_CH1, TSC_G8_IO1||
39 (PC8) |LCD_SEG26, TIM22_ETR, TSC_G8_IO3||
40 (PC9) |DAC_EXTI9, LCD_SEG27, TIM21_ETR, TSC_G8_IO4, USB_NOE||
41 (PC10) |LCD_COM4, LCD_SEG28, LPUART1_TX||
42 (PC11) |LCD_COM5, LCD_SEG29, LPUART1_RX||
43 (PC12) |LCD_COM6, LCD_SEG30||
44 (PC13) |RTC_TAMP1, RTC_TS, SYS_WKUP2||
45 (PC14) |RCC_OSC32_IN||
46 (PC15) |RCC_OSC32_OUT||
47 (PD2) |LCD_COM7, LCD_SEG31, LPUART1_DE, LPUART1_RTS||
