#Nucleo-L476RG

Below are the pins usable for the peripherals. Pins in **bold** are the default.

## SPI

Instance |MOSI|MISO|SCK|
-|-|-|-|
SPI1|**11 (PA7)**, 4 (PB5)|**12 (PA6)**, 5 (PB4)|**13 (PA5)**, 3 (PB3)|
SPI2|**33 (PB15)**, 35 (PC3)|**32 (PB14)**, 34 (PC2)|**6 (PB10)**, 31 (PB13)|
SPI3|**4 (PB5)**, 43 (PC12)|**5 (PB4)**, 42 (PC11)|**3 (PB3)**, 41 (PC10)|

## I2C

Instance |SDA|SCL|
-|-|-|
I2C1|29 (PB7), **14 (PB9)**|10 (PB6), **15 (PB8)**|
I2C2|**PB11**, 32 (PB14)|**6 (PB10)**, 31 (PB13)|
I2C3|**20 (PC1)**|**21 (PC0)**|

## USART

Instance |RX|TX|
-|-|-|
UART4|**17 (PA1)**, 42 (PC11)|**16 (PA0)**, 41 (PC10)|
UART5|**47 (PD2)**|**43 (PC12)**|
USART1|**2 (PA10)**, 29 (PB7)|**8 (PA9)**, 10 (PB6)|
USART2|**0 (PA3)**|**1 (PA2)**|
USART3|**PB11**, 37 (PC5), 42 (PC11)|**6 (PB10)**, 36 (PC4), 41 (PC10)|

## TIM

Instance |CH1|CH2|CH3|CH4|
-|-|-|-|-|
TIM1|**7 (PA8)**, <span style="text-decoration: overline">11 (PA7)</span>, <span style="text-decoration: overline">31 (PB13)</span>|**8 (PA9)**, <span style="text-decoration: overline">19 (PB0)</span>, <span style="text-decoration: overline">32 (PB14)</span>|**2 (PA10)**, <span style="text-decoration: overline">27 (PB1)</span>, <span style="text-decoration: overline">33 (PB15)</span>|**22 (PA11)**|
TIM2|**16 (PA0)**, 13 (PA5), 26 (PA15)|**17 (PA1)**, 3 (PB3)|**1 (PA2)**, 6 (PB10)|**0 (PA3)**, PB11|
TIM3|**12 (PA6)**, 5 (PB4), 38 (PC6)|**11 (PA7)**, 4 (PB5), 9 (PC7)|**19 (PB0)**, 39 (PC8)|**27 (PB1)**, 40 (PC9)|
TIM4|**10 (PB6)**|**29 (PB7)**|**15 (PB8)**|**14 (PB9)**|
TIM5|**16 (PA0)**|**17 (PA1)**|**1 (PA2)**|**0 (PA3)**|
TIM8|**38 (PC6)**, <span style="text-decoration: overline">13 (PA5)</span>, <span style="text-decoration: overline">11 (PA7)</span>|**9 (PC7)**, <span style="text-decoration: overline">19 (PB0)</span>, <span style="text-decoration: overline">32 (PB14)</span>|**39 (PC8)**, <span style="text-decoration: overline">27 (PB1)</span>, <span style="text-decoration: overline">33 (PB15)</span>|**40 (PC9)**|
TIM15|**1 (PA2)**, 32 (PB14), <span style="text-decoration: overline">17 (PA1)</span>, <span style="text-decoration: overline">31 (PB13)</span>|**0 (PA3)**, 33 (PB15)|||
TIM16|**12 (PA6)**, 15 (PB8), <span style="text-decoration: overline">10 (PB6)</span>||||
TIM17|**11 (PA7)**, 14 (PB9), <span style="text-decoration: overline">29 (PB7)</span>||||

## ADC 

Instance | Channel | Pin
-|-|-
ADC1|IN1|21 (PC0)|
ADC1|IN2|20 (PC1)|
ADC1|IN3|34 (PC2)|
ADC1|IN4|35 (PC3)|
ADC1|IN5|16 (PA0)|
ADC1|IN6|17 (PA1)|
ADC1|IN7|1 (PA2)|
ADC1|IN8|0 (PA3)|
ADC1|IN9|18 (PA4)|
ADC1|IN10|13 (PA5)|
ADC1|IN11|12 (PA6)|
ADC1|IN12|11 (PA7)|
ADC1|IN13|36 (PC4)|
ADC1|IN14|37 (PC5)|
ADC1|IN15|19 (PB0)|
ADC1|IN16|27 (PB1)|
ADC2|IN1|21 (PC0)|
ADC2|IN2|20 (PC1)|
ADC2|IN3|34 (PC2)|
ADC2|IN4|35 (PC3)|
ADC2|IN5|16 (PA0)|
ADC2|IN6|17 (PA1)|
ADC2|IN7|1 (PA2)|
ADC2|IN8|0 (PA3)|
ADC2|IN9|18 (PA4)|
ADC2|IN10|13 (PA5)|
ADC2|IN11|12 (PA6)|
ADC2|IN12|11 (PA7)|
ADC2|IN13|36 (PC4)|
ADC2|IN14|37 (PC5)|
ADC2|IN15|19 (PB0)|
ADC2|IN16|27 (PB1)|
ADC3|IN1|21 (PC0)|
ADC3|IN2|20 (PC1)|
ADC3|IN3|34 (PC2)|
ADC3|IN4|35 (PC3)|

## GPIO 

Pin | Peripheral signal available on the pin | Board macro
-|-|-
0 (PA3) |ADC1_IN8, ADC2_IN8, LCD_SEG2, OPAMP1_VOUT, TIM2_CH4, TIM5_CH4, TIM15_CH2, USART2_RX||
1 (PA2) |ADC1_IN7, ADC2_IN7, LCD_SEG1, RCC_LSCO, SAI2_EXTCLK, SYS_WKUP4, TIM2_CH3, TIM5_CH3, TIM15_CH1, USART2_TX||
2 (PA10) |LCD_COM2, TIM1_CH3, TIM17_BKIN, USART1_RX, USB_OTG_FS_ID||
3 (PB3) |COMP2_INM, LCD_SEG7, SAI1_SCK_B, SPI1_SCK, SPI3_SCK, SYS_JTDO-SWO, TIM2_CH2, USART1_DE, USART1_RTS||
4 (PB5) |COMP2_OUT, I2C1_SMBA, LCD_SEG9, LPTIM1_IN1, SAI1_SD_B, SPI1_MOSI, SPI3_MOSI, TIM3_CH2, TIM16_BKIN, TSC_G2_IO2, UART5_CTS, USART1_CK||
5 (PB4) |COMP2_INP, LCD_SEG8, SAI1_MCLK_B, SPI1_MISO, SPI3_MISO, SYS_JTRST, TIM3_CH1, TIM17_BKIN, TSC_G2_IO1, UART5_DE, UART5_RTS, USART1_CTS||
6 (PB10) |COMP1_OUT, DFSDM1_DATIN7, I2C2_SCL, LCD_SEG10, LPUART1_RX, QUADSPI_CLK, SAI1_SCK_A, SPI2_SCK, TIM2_CH3, USART3_TX||
7 (PA8) |LCD_COM0, LPTIM2_OUT, RCC_MCO, TIM1_CH1, USART1_CK, USB_OTG_FS_SOF||
8 (PA9) |LCD_COM1, TIM1_CH2, TIM15_BKIN, USART1_TX, USB_OTG_FS_VBUS||
9 (PC7) |DFSDM1_DATIN3, LCD_SEG25, SAI2_MCLK_B, SDMMC1_D7, TIM3_CH2, TIM8_CH2, TSC_G4_IO2||
10 (PB6) |DFSDM1_DATIN5, I2C1_SCL, LPTIM1_ETR, SAI1_FS_B, TIM4_CH1, TIM8_BKIN2, TIM8_BKIN2_COMP2, TIM16_CH1N, TSC_G2_IO3, USART1_TX||
11 (PA7) |ADC1_IN12, ADC2_IN12, LCD_SEG4, OPAMP2_VINM, QUADSPI_BK1_IO2, SPI1_MOSI, TIM1_CH1N, TIM3_CH2, TIM8_CH1N, TIM17_CH1|**MOSI**|
12 (PA6) |ADC1_IN11, ADC2_IN11, LCD_SEG3, OPAMP2_VINP, QUADSPI_BK1_IO3, SPI1_MISO, TIM1_BKIN, TIM1_BKIN_COMP2, TIM3_CH1, TIM8_BKIN, TIM8_BKIN_COMP2, TIM16_CH1, USART3_CTS|**MISO**|
13 (PA5) |ADC1_IN10, ADC2_IN10, DAC1_OUT2, LPTIM2_ETR, SPI1_SCK, TIM2_CH1, TIM2_ETR, TIM8_CH1N|**LED_BUILTIN**, **SCK**|
14 (PB9) |CAN1_TX, DFSDM1_CKIN6, I2C1_SDA, IR_OUT, LCD_COM3, SAI1_FS_A, SDMMC1_D5, SPI2_NSS, TIM4_CH4, TIM17_CH1|**SDA**|
15 (PB8) |CAN1_RX, DFSDM1_DATIN6, I2C1_SCL, LCD_SEG16, SAI1_MCLK_A, SDMMC1_D4, TIM4_CH3, TIM16_CH1|**SCL**|
16 (PA0) |ADC1_IN5, ADC2_IN5, OPAMP1_VINP, RTC_TAMP2, SAI1_EXTCLK, SYS_WKUP1, TIM2_CH1, TIM2_ETR, TIM5_CH1, TIM8_ETR, UART4_TX, USART2_CTS|**A0**|
17 (PA1) |ADC1_IN6, ADC2_IN6, LCD_SEG0, OPAMP1_VINM, TIM2_CH2, TIM5_CH2, TIM15_CH1N, UART4_RX, USART2_DE, USART2_RTS|**A1**|
18 (PA4) |ADC1_IN9, ADC2_IN9, DAC1_OUT1, LPTIM2_OUT, SAI1_FS_B, SPI1_NSS, SPI3_NSS, USART2_CK|**A2**, **SS**|
19 (PB0) |ADC1_IN15, ADC2_IN15, COMP1_OUT, LCD_SEG5, OPAMP2_VOUT, QUADSPI_BK1_IO1, TIM1_CH2N, TIM3_CH3, TIM8_CH2N, USART3_CK|**A3**|
20 (PC1) |ADC1_IN2, ADC2_IN2, ADC3_IN2, DFSDM1_CKIN4, I2C3_SDA, LCD_SEG19, LPTIM1_OUT, LPUART1_TX|**A4**|
21 (PC0) |ADC1_IN1, ADC2_IN1, ADC3_IN1, DFSDM1_DATIN4, I2C3_SCL, LCD_SEG18, LPTIM1_IN1, LPTIM2_IN1, LPUART1_RX|**A5**|
22 (PA11) |CAN1_RX, TIM1_BKIN2, TIM1_BKIN2_COMP1, TIM1_CH4, USART1_CTS, USB_OTG_FS_DM||
23 (PA12) |CAN1_TX, TIM1_ETR, USART1_DE, USART1_RTS, USB_OTG_FS_DP||
24 (PA13) |IR_OUT, SYS_JTMS-SWDIO, USB_OTG_FS_NOE||
25 (PA14) |SYS_JTCK-SWCLK||
26 (PA15) |LCD_SEG17, SAI2_FS_B, SPI1_NSS, SPI3_NSS, SYS_JTDI, TIM2_CH1, TIM2_ETR, TSC_G3_IO1, UART4_DE, UART4_RTS||
27 (PB1) |ADC1_IN16, ADC2_IN16, DFSDM1_DATIN0, LCD_SEG6, LPTIM2_IN1, QUADSPI_BK1_IO0, TIM1_CH3N, TIM3_CH4, TIM8_CH3N, USART3_DE, USART3_RTS||
28 (PB2) |DFSDM1_CKIN0, I2C3_SMBA, LPTIM1_OUT, RTC_OUT_ALARM, RTC_OUT_CALIB||
29 (PB7) |DFSDM1_CKIN5, I2C1_SDA, LCD_SEG21, LPTIM1_IN2, SYS_PVD_IN, TIM4_CH2, TIM8_BKIN, TIM8_BKIN_COMP1, TIM17_CH1N, TSC_G2_IO4, UART4_CTS, USART1_RX||
30 (PB12) |DFSDM1_DATIN1, I2C2_SMBA, LCD_SEG12, LPUART1_DE, LPUART1_RTS, SAI2_FS_A, SPI2_NSS, SWPMI1_IO, TIM1_BKIN, TIM1_BKIN_COMP2, TIM15_BKIN, TSC_G1_IO1, USART3_CK||
31 (PB13) |DFSDM1_CKIN1, I2C2_SCL, LCD_SEG13, LPUART1_CTS, SAI2_SCK_A, SPI2_SCK, SWPMI1_TX, TIM1_CH1N, TIM15_CH1N, TSC_G1_IO2, USART3_CTS||
32 (PB14) |DFSDM1_DATIN2, I2C2_SDA, LCD_SEG14, SAI2_MCLK_A, SPI2_MISO, SWPMI1_RX, TIM1_CH2N, TIM8_CH2N, TIM15_CH1, TSC_G1_IO3, USART3_DE, USART3_RTS||
33 (PB15) |DFSDM1_CKIN2, LCD_SEG15, RTC_REFIN, SAI2_SD_A, SPI2_MOSI, SWPMI1_SUSPEND, TIM1_CH3N, TIM8_CH3N, TIM15_CH2, TSC_G1_IO4||
34 (PC2) |ADC1_IN3, ADC2_IN3, ADC3_IN3, DFSDM1_CKOUT, LCD_SEG20, LPTIM1_IN2, SPI2_MISO||
35 (PC3) |ADC1_IN4, ADC2_IN4, ADC3_IN4, LCD_VLCD, LPTIM1_ETR, LPTIM2_ETR, SAI1_SD_A, SPI2_MOSI||
36 (PC4) |ADC1_IN13, ADC2_IN13, COMP1_INM, LCD_SEG22, USART3_TX||
37 (PC5) |ADC1_IN14, ADC2_IN14, COMP1_INP, LCD_SEG23, SYS_WKUP5, USART3_RX||
38 (PC6) |DFSDM1_CKIN3, LCD_SEG24, SAI2_MCLK_A, SDMMC1_D6, TIM3_CH1, TIM8_CH1, TSC_G4_IO1||
39 (PC8) |LCD_SEG26, SDMMC1_D0, TIM3_CH3, TIM8_CH3, TSC_G4_IO3||
40 (PC9) |DAC1_EXTI9, LCD_SEG27, SAI2_EXTCLK, SDMMC1_D1, TIM3_CH4, TIM8_BKIN2, TIM8_BKIN2_COMP1, TIM8_CH4, TSC_G4_IO4, USB_OTG_FS_NOE||
41 (PC10) |LCD_COM4, LCD_SEG28, LCD_SEG40, SAI2_SCK_B, SDMMC1_D2, SPI3_SCK, TSC_G3_IO2, UART4_TX, USART3_TX||
42 (PC11) |LCD_COM5, LCD_SEG29, LCD_SEG41, SAI2_MCLK_B, SDMMC1_D3, SPI3_MISO, TSC_G3_IO3, UART4_RX, USART3_RX||
43 (PC12) |LCD_COM6, LCD_SEG30, LCD_SEG42, SAI2_SD_B, SDMMC1_CK, SPI3_MOSI, TSC_G3_IO4, UART5_TX, USART3_CK||
44 (PC13) |RTC_TAMP1, RTC_TS, SYS_WKUP2||
45 (PC14) |RCC_OSC32_IN||
46 (PC15) |ADC1_EXTI15, ADC2_EXTI15, ADC3_EXTI15, RCC_OSC32_OUT||
47 (PD2) |LCD_COM7, LCD_SEG31, LCD_SEG43, SDMMC1_CMD, TIM3_ETR, TSC_SYNC, UART5_RX, USART3_DE, USART3_RTS||
